aboutsummaryrefslogtreecommitdiff
path: root/databases/postgresql83-server
diff options
context:
space:
mode:
authorAde Lovett <ade@FreeBSD.org>2004-11-23 19:15:12 +0000
committerAde Lovett <ade@FreeBSD.org>2004-11-23 19:15:12 +0000
commit03e63e3bdbb7e407689c7729c740d54a32bfd7a3 (patch)
treefd42ebe70af842b5bcd5e9464a31faf2868ed0f1 /databases/postgresql83-server
parenta974bbd8dd5d248923f9f3c059f3cd85e278e2e7 (diff)
downloadports-03e63e3bdbb7e407689c7729c740d54a32bfd7a3.tar.gz
ports-03e63e3bdbb7e407689c7729c740d54a32bfd7a3.zip
Notes
Diffstat (limited to 'databases/postgresql83-server')
-rw-r--r--databases/postgresql83-server/Makefile263
-rw-r--r--databases/postgresql83-server/files/502.pgsql130
-rw-r--r--databases/postgresql83-server/files/dot.cshrc.in2
-rw-r--r--databases/postgresql83-server/files/dot.profile.in3
-rw-r--r--databases/postgresql83-server/files/patch-src-interfaces-jdbc-build-xml14
-rw-r--r--databases/postgresql83-server/files/patch-src-interfaces-libpgtcl-Makefile11
-rw-r--r--databases/postgresql83-server/files/patch-src-makefiles-Makefile.freebsd17
-rw-r--r--databases/postgresql83-server/files/pkg-message.server37
-rw-r--r--databases/postgresql83-server/files/pkgIndex.tcl.in4
-rw-r--r--databases/postgresql83-server/files/post-install-notes62
-rw-r--r--databases/postgresql83-server/pkg-install-server (renamed from databases/postgresql83-server/pkg-install)11
-rw-r--r--databases/postgresql83-server/pkg-message-client32
-rw-r--r--databases/postgresql83-server/pkg-message-contrib3
-rw-r--r--databases/postgresql83-server/pkg-message-jdbc8
-rw-r--r--databases/postgresql83-server/pkg-message-plperl3
-rw-r--r--databases/postgresql83-server/pkg-message-pltcl3
-rw-r--r--databases/postgresql83-server/pkg-message-server71
-rw-r--r--databases/postgresql83-server/pkg-message-tcltk1
-rw-r--r--databases/postgresql83-server/pkg-plist560
-rw-r--r--databases/postgresql83-server/pkg-plist-client148
-rw-r--r--databases/postgresql83-server/pkg-plist-contrib145
-rw-r--r--databases/postgresql83-server/pkg-plist-jdbc27
-rw-r--r--databases/postgresql83-server/pkg-plist-plperl2
-rw-r--r--databases/postgresql83-server/pkg-plist-pltcl8
-rw-r--r--databases/postgresql83-server/pkg-plist-server411
-rw-r--r--databases/postgresql83-server/pkg-plist-tcltk11
26 files changed, 1141 insertions, 846 deletions
diff --git a/databases/postgresql83-server/Makefile b/databases/postgresql83-server/Makefile
index 2938032dcc11..4ee0bc21b5a9 100644
--- a/databases/postgresql83-server/Makefile
+++ b/databases/postgresql83-server/Makefile
@@ -6,121 +6,170 @@
#
PORTNAME?= postgresql
+PKGNAMESUFFIX?= -server
PORTVERSION?= 7.4.6
PORTREVISION?= 0
CATEGORIES?= databases
MASTER_SITES= ${MASTER_SITE_PGSQL}
MASTER_SITE_SUBDIR= source/v${PORTVERSION}
-DISTFILES= postgresql-base-${PORTVERSION}${EXTRACT_SUFX} \
+DISTFILES?= postgresql-base-${PORTVERSION}${EXTRACT_SUFX} \
postgresql-opt-${PORTVERSION}${EXTRACT_SUFX}
MAINTAINER?= girgen@pingpong.net
COMMENT?= The most advanced open-source database available anywhere
+# XXX: this will eventually go away
+.if !defined(PGSQL_WORK_IN_PROGRESS)
+BROKEN= You almost certainly do not want to be here right now
+.endif
+
+CONFLICTS?= ${PORTNAME}${PKGNAMESUFFIX}-7.[0-35-9]* \
+ ${PORTNAME}${PKGNAMESUFFIX}-8.*
+
WRKSRC= ${WRKDIR}/postgresql-${PORTVERSION}
DIST_SUBDIR= postgresql
+PKGINSTALL?= ${PKGDIR}/pkg-install${PKGNAMESUFFIX}
USE_BZIP2= YES
USE_GMAKE= YES
GNU_CONFIGURE= YES
+.if defined(NO_BUILD)
+.undef USE_GMAKE
+.undef GNU_CONFIGURE
+.endif
-.if defined(POSTGRESQL_SUBPORT)
-## the POSTGRESQL_SUBPORTS use this port's distinfo
-MD5_FILE= ${.CURDIR}/../postgresql7/distinfo
-.else
+CONFIGURE_ARGS?=--with-libraries=${LOCALBASE}/lib \
+ --with-includes=${LOCALBASE}/include
+CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
-## POSTGRESQL_SUBPORTS stops here
-## The rest of this file is for normal base installation
-INSTALLS_SHLIB= YES
+PLIST= ${PKGDIR}/pkg-plist${PKGNAMESUFFIX}
-CONFIGURE_ARGS= --with-libraries=${LOCALBASE}/lib \
- --with-includes=${LOCALBASE}/include
-CONFIGURE_ENV= LDFLAGS="${LDFLAGS}"
+BUILD_DIRS?= src/backend src/backend/utils/mb/conversion_procs src/pl
+INSTALL_DIRS?= ${BUILD_DIRS}
+PKGMESSAGE= ${WRKDIR}/.pkg-message${PKGNAMESUFFIX}
-.if defined(WITH_PAM)
-CONFIGURE_ARGS+= --with-pam
+.if !defined(CLIENT_ONLY) && !defined(SLAVE_ONLY)
+SERVER_ONLY= yes
+USE_RC_SUBR= yes
+RCSCRIPT= ${PREFIX}/etc/rc.d/postgresql.sh
+USE_PGSQL= yes
+WANT_PGSQL_VER= ${PORTVERSION:C/([0-9][0-9]*)\.([0-9][0-9]*).*/\1\2/g}
.endif
-.if !defined(WITHOUT_GNUGETOPT)
-USE_GETOPT_LONG=yes
+.if !defined(SLAVE_ONLY)
+OPTIONS= NLS "Use internationalized messages" on
+OPTIONS+= SSL "Build with SSL" on
.endif
-.if !(defined(WITHOUT_GETTEXT) || defined(WITHOUT_NLS))
+.include <bsd.port.pre.mk>
+
+.if !defined(SLAVE_ONLY)
+# gnugetopt will always be used if already installed
+. if ${OSVERSION} < 500041
+OPTIONS+= GNUGETOPT "Depend on GNU getopt" on
+. endif
+. if defined(SERVER_ONLY)
+OPTIONS+= PAM "Build with PAM support" off
+. endif
+OPTIONS+= MIT_KRB5 "Build with MIT's kerberos support" off
+OPTIONS+= HEIMDAL_KRB5 "Builds with Heimdal's kerberos support" off
+OPTIONS+= OPTIMIZED_CFLAGS "Builds with compiler optimizations (-O3)" off
+. if defined(SERVER_ONLY)
+OPTIONS+= LIBC_R "Link with libc_r, needed by plpython" off
+# to run regression tests:
+OPTIONS+= TESTS "Allows the use of a \"check\" target" off
+. endif
+OPTIONS+= DEBUG "Builds with debugging symbols" off
+
+. if defined(SERVER_ONLY) && defined(WITH_PAM)
+CONFIGURE_ARGS+= --with-pam
+. endif
+
+. if !defined(WITHOUT_GNUGETOPT)
+USE_GETOPT_LONG=yes
+. endif
+
+. if !(defined(WITHOUT_GETTEXT) || defined(WITHOUT_NLS))
CONFIGURE_ARGS+=--enable-nls
PLIST_SUB+= GETTEXT=""
USE_GETTEXT= YES
-.else
+. else
CONFIGURE_ARGS+=--disable-nls
PLIST_SUB+= GETTEXT="@comment "
-.endif
+. endif
-.if defined(WITH_OPTIMIZED_CFLAGS)
+. if defined(WITH_OPTIMIZED_CFLAGS)
CFLAGS+= -O3 -funroll-loops
-.endif
+. endif
-.if defined(WITH_DEBUG)
+. if defined(WITH_DEBUG)
CONFIGURE_ARGS+= --enable-debug
INSTALL_TARGET= install
-.else
+. else
INSTALL_TARGET= install-strip
-.endif
+. endif
-.if !defined(WITHOUT_SSL)
+. if !defined(WITHOUT_SSL)
USE_OPENSSL= yes
CONFIGURE_ARGS+= "--with-openssl=${OPENSSLBASE}"
-.endif
+. endif
-.if defined(WITHOUT_SERVER)
-PLIST_SUB+= SERVER="@comment "
-PKGNAMESUFFIX= -client
-PKGMSG= /dev/null
-CONFLICTS= postgresql-7* postgresql-devel-*
-.else
-PKGMESSAGE= ${FILESDIR}/pkg-message.server
-PKGMSG= ${PKGMESSAGE}
-CONFLICTS= postgresql-client-7* postgresql-devel-*
-PLIST_SUB+= SERVER=""
-INSTALL_TARGET+= install-all-headers
-MAKEFILE= GNUmakefile
-.endif
-
-.if defined(WITH_MIT_KRB5)
+. if defined(WITH_MIT_KRB5)
KRB5CONF= ${KRB5_HOME}/bin/krb5-config
LIB_DEPENDS+= krb5.3:${PORTSDIR}/security/krb5
WITH_KRB5= yes
-.endif
+. endif
-.if defined(WITH_HEIMDAL_KRB5)
+. if defined(WITH_HEIMDAL_KRB5)
WITH_KRB5= yes
-.if defined(HEIMDAL_HOME) && exists(${HEIMDAL_HOME}/lib/libgssapi.a)
+. if defined(HEIMDAL_HOME) && exists(${HEIMDAL_HOME}/lib/libgssapi.a)
CONFIGURE_ARGS+= --with-krb5=${HEIMDAL_HOME}
KRB5CONF= ${HEIMDAL_HOME}/bin/krb5-config
-.elif ( defined(MAKE_KERBEROS5) || ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
+. elif ( defined(MAKE_KERBEROS5) || ${OSVERSION} > 500105 ) && exists(${DESTDIR}/usr/lib/libkrb5.a)
CONFIGURE_ARGS+= --with-krb5=${DESTDIR}/usr
KRB5CONF= ${DESTDIR}/usr/bin/krb5-config
-.else
+. else
LIB_DEPENDS+= krb5:${PORTSDIR}/security/heimdal
CONFIGURE_ARGS+= --with-krb5=${LOCALBASE}
KRB5CONF= ${LOCALBASE}/bin/krb5-config
-.endif
-.endif
+. endif
+. endif
-.include <bsd.port.pre.mk>
-.if defined(WITH_KRB5)
+. if defined(WITH_KRB5)
CONFIGURE_ARGS+= --with-krb5="`${KRB5CONF} --prefix krb5`"
LDFLAGS+= `${KRB5CONF} --libs krb5`
-CONFIGURE_ENV= LDFLAGS="${LDFLAGS}"
-.endif
+CONFIGURE_ENV+= LDFLAGS="${LDFLAGS}"
+. endif
-.if defined(WITH_TESTS)
+. if defined(SERVER_ONLY) && defined(WITH_TESTS)
DISTFILES+= postgresql-test-${PORTVERSION}${EXTRACT_SUFX}
-.endif
+. endif
-.if defined(WITH_LIBC_R)
+. if defined(SERVER_ONLY) && defined(WITH_LIBC_R)
CFLAGS+= ${PTHREAD_CFLAGS}
LDFLAGS+= ${PTHREAD_LIBS}
-.endif
+. endif
+. if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
+ @${ECHO} "WITH_MIT_KRB5 and WITH_HEIMDAL_KRB5 are mutually exclusive."
+ @${ECHO} "Please choose one or the other."
+ @exit 1
+. endif
+. if defined(WITH_MIT_KRB5) && !exists(${KRB5CONF})
+ @${ECHO} "Unable to find krb5-config in your local base, please verify that"
+ @${ECHO} "security/krb5 is installed or undefine the WITH_MIT_KRB5 tunable."
+ @exit 1
+. endif
+. if defined(WITH_HEIMDAL_KRB5) && !exists(${KRB5CONF})
+ @${ECHO} "Unable to find krb5-config in the base system. Undefine"
+ @${ECHO} "WITH_HEIMDAL_KRB5 or add MAKE_KERBEROS5=yes to /etc/make.conf"
+ @${ECHO} "and remake world."
+ @exit 1
+. endif
+
+.endif # !SLAVE_ONLY
+
+.if defined(CLIENT_ONLY)
MAN1= clusterdb.1 createdb.1 createlang.1 createuser.1 dropdb.1 \
droplang.1 dropuser.1 ecpg.1 initdb.1 initlocation.1 ipcclean.1 \
pg_config.1 pg_controldata.1 pg_ctl.1 pg_dump.1 pg_dumpall.1 \
@@ -151,67 +200,45 @@ MAN7= abort.7 alter_aggregate.7 alter_conversion.7 \
set.7 set_constraints.7 set_transaction.7 show.7 \
set_session_authorization.7 start_transaction.7 \
truncate.7 unlisten.7 update.7 vacuum.7
+.endif
+.if defined(SERVER_ONLY)
pre-everything::
@${SH} ${PKGINSTALL} ${PORTNAME} BACKUPWARNING
- @${ECHO} ""
- @${ECHO} "${PORTNAME} has several tunables that can be used to configure PostgreSQL:"
- @${ECHO} ""
- @${ECHO} " WITHOUT_GNUGETOPT Don't install GNU getopt (will"
- @${ECHO} " still be used if already installed)"
- @${ECHO} " WITHOUT_NLS Skips building with support for"
- @${ECHO} " internationalized error messages"
- @${ECHO} " WITHOUT_SERVER Don't install the server,"
- @${ECHO} " only install binaries, headers and libs"
- @${ECHO} " for PostgreSQL clients"
- @${ECHO} " WITHOUT_SSL Builds without OpenSSL support"
- @${ECHO} " WITH_PAM Builds with PAM support"
- @${ECHO} " WITH_MIT_KRB5 Builds with MIT's kerberos support"
- @${ECHO} " WITH_HEIMDAL_KRB5 Builds with Heimdal's kerberos support"
- @${ECHO} " WITH_OPTIMIZED_CFLAGS Builds with compiler optimizations (-O3)"
- @${ECHO} " WITH_DEBUG Builds with debugging symbols"
- @${ECHO} " WITH_TESTS Allows the use of a \"check\" target"
- @${ECHO} " to run regression tests"
- @${ECHO} " WITH_LIBC_R Link the binaries with libc_r."
- @${ECHO} " Needed to run plpython"
- @${ECHO} ""
-.if defined(WITH_MIT_KRB5) && defined(WITH_HEIMDAL_KRB5)
- @${ECHO} "WITH_MIT_KRB5 and WITH_HEIMDAL_KRB5 are mutually exclusive."
- @${ECHO} "Please choose one or the other."
- @exit 1
.endif
-.if defined(WITH_MIT_KRB5) && !exists(${KRB5CONF})
- @${ECHO} "Unable to find krb5-config in your local base, please verify that"
- @${ECHO} "security/krb5 is installed or undefine the WITH_MIT_KRB5 tunable."
- @exit 1
-.endif
-.if defined(WITH_HEIMDAL_KRB5) && !exists(${KRB5CONF})
- @${ECHO} "Unable to find krb5-config in the base system. Undefine"
- @${ECHO} "WITH_HEIMDAL_KRB5 or add MAKE_KERBEROS5=yes to /etc/make.conf"
- @${ECHO} "and remake world."
- @exit 1
+
+.if !defined(NO_BUILD)
+do-build:
+ @ cd ${WRKSRC}/src/backend ;\
+ ${GMAKE} ../../src/include/parser/parse.h ../../src/include/utils/fmgroids.h
+ @ for dir in ${BUILD_DIRS}; do \
+ cd ${WRKSRC}/$${dir} && ${SETENV} ${MAKE_ENV} ${GMAKE}; \
+ done
+
+. if exists(${MASTERDIR}/pkg-message${PKGNAMESUFFIX})
+post-build:
+ @ ${SED} "s|/usr/local|${PREFIX}|g" \
+ < ${MASTERDIR}/pkg-message${PKGNAMESUFFIX} \
+ > ${PKGMESSAGE}
+. endif
.endif
-.if defined(WITHOUT_SERVER)
-do-install:
- @ cd ${WRKSRC}; \
- ${GMAKE} -C src/bin ${INSTALL_TARGET} ;\
- ${GMAKE} -C src/include ${INSTALL_TARGET} ;\
- ${GMAKE} -C src/interfaces ${INSTALL_TARGET} ;\
- ${GMAKE} -C doc ${INSTALL_TARGET}
-.else
+.if defined(SERVER_ONLY)
pre-install:
@ ${SETENV} PKG_PREFIX=${PREFIX} \
${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
.endif
-post-install:
- @ ${MKDIR} ${PREFIX}/share/postgresql ;\
- ${CAT} ${FILESDIR}/post-install-notes ${PKGMSG} |\
- ${SED} "s|/usr/local|${PREFIX}|g" |\
- tee ${PREFIX}/share/postgresql/post-install-notes
-.if !defined(WITHOUT_SERVER)
-.for i in profile cshrc
+.if !defined(NO_BUILD)
+do-install:
+ @for dir in ${INSTALL_DIRS}; do \
+ cd ${WRKSRC}/$${dir} && \
+ ${SETENV} ${MAKE_ENV} ${GMAKE} ${INSTALL_TARGET}; \
+ done
+ ${MKDIR} ${PREFIX}/share/postgresql
+. if defined(SERVER_ONLY)
+ @ cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} install-all-headers
+. for i in profile cshrc
@ ${SED} "s|%%PREFIX%%|${PREFIX}|g" \
< ${FILESDIR}/dot.$i.in \
> ${PREFIX}/share/postgresql/dot.$i.dist; \
@@ -219,19 +246,26 @@ post-install:
if [ ! -f ~pgsql/.$i ]; then \
${CP} ${PREFIX}/share/postgresql/dot.$i.dist ~pgsql/.$i; \
fi
-.endfor
- @ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g; s|%%PG_PREFIX%%|${PG_PREFIX}|g" \
+. endfor
+ @ ${SED} -e "s|%%PREFIX%%|${PREFIX}|g; s|%%RC_SUBR%%|${RC_SUBR}|g" \
< ${FILESDIR}/pgsql.sh.tmpl \
- > ${PREFIX}/etc/rc.d/010.pgsql.sh ;\
- ${CHMOD} 554 ${PREFIX}/etc/rc.d/010.pgsql.sh ;\
- ${CHOWN} root:pgsql ${PREFIX}/etc/rc.d/010.pgsql.sh ;\
- ${INSTALL_DATA} ${PREFIX}/share/postgresql/post-install-notes ~pgsql/. ;\
+ > ${RCSCRIPT} ;\
+ ${CHMOD} 554 ${RCSCRIPT} ;\
+ ${CHOWN} root:pgsql ${RCSCRIPT} ;\
${CHOWN} -R pgsql:pgsql ~pgsql/. ;\
+ ${MKDIR} ${PREFIX}/etc/periodic/daily ;\
${INSTALL_DATA} ${FILESDIR}/502.pgsql \
- ${PREFIX}/share/postgresql
-.endif
+ ${PREFIX}/etc/periodic/daily
+. endif # SERVER_ONLY
+ @ if [ -r ${PKGMESSAGE} ]; then \
+ ${INSTALL_DATA} ${PKGMESSAGE} ${PREFIX}/share/postgresql/README${PKGNAMESUFFIX} ;\
+ ${ECHO} "======================================================================" ;\
+ ${CAT} ${PKGMESSAGE} ;\
+ ${ECHO} "======================================================================" ;\
+ fi
+.endif # !NO_BUILD
-.if defined(WITH_TESTS)
+.if defined(SERVER_ONLY) && defined(WITH_TESTS)
check:
@if [ `id -u` != 0 ] ; then \
${ECHO} "Running postgresql regressions tests" ;\
@@ -243,4 +277,3 @@ check:
.endif
.include <bsd.port.post.mk>
-.endif
diff --git a/databases/postgresql83-server/files/502.pgsql b/databases/postgresql83-server/files/502.pgsql
index 84cdb9b5ad45..a1cf9ba4f2ee 100644
--- a/databases/postgresql83-server/files/502.pgsql
+++ b/databases/postgresql83-server/files/502.pgsql
@@ -11,79 +11,87 @@
# In public domain, do what you like with it,
# and use it at your own risk... :)
#
-######################################################################
-#
-# If you like to tweak the settings of the variables PGBACKUPDIR and
-# PGDUMP_ARGS, you should preferably set them in ~pgsql/.profile.
-# If set there, that setting will override the defaults here.
+
+# Define these variables in either /etc/periodic.conf or
+# /etc/periodic.conf.local to override the default values.
#
-######################################################################
+# daily_pgsql_backup_enable="YES" # do backup
+# daily_pgsql_vacuum_enable="YES" # do vacuum
+
+daily_pgsql_vaccum_enable="NO"
+daily_pgsql_backup_enable="NO"
-DIR=`dirname $0`
-progname=`basename $0`
-PRG=`cd $DIR; pwd `/$progname
+daily_pgsql_vacuum_args="-z"
+daily_pgsql_pgdump_args="-b -F c"
+# backupdir is relative to ~pgsql home directory unless it begins with a slash:
+daily_pgsql_backupdir="~pgsql/backups"
+daily_pgsql_savedays="7"
-# Run as user pgsql
-if [ `id -un` != pgsql ]; then
- su -l pgsql -c ${PRG}
- exit $?
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+ . /etc/defaults/periodic.conf
+ source_periodic_confs
fi
-# arguments to pg_dump
-PGDUMP_ARGS=${PGDUMP_ARGS:-"-b -F c"}
+# allow '~´ in dir name
+eval backupdir=${daily_pgsql_backupdir}
-# The directory where the backups will reside.
-# ${HOME} is pgsql's home directory
-PGBACKUPDIR=${PGBACKUPDIR:-${HOME}/backups}
+rc=0
-# If you want to keep a history of database backups, set
-# PGBACKUP_SAVE_DAYS in ~pgsql/.profile to the number of days. This is
-# used as "find ... -mtime +${PGBACKUP_SAVE_DAYS} -delete", see below
-PGBACKUP_SAVE_DAYS=${PGBACKUP_SAVE_DAYS:-7}
+case "$daily_pgsql_backup_enable" in
+ [Yy][Ee][Ss])
-# PGBACKUPDIR must be writeable by user pgsql
-# ~pgsql is just that under normal circumstances,
-# but this might not be where you want the backups...
-if [ ! -d ${PGBACKUPDIR} ] ; then
- echo Creating ${PGBACKUPDIR}
- mkdir ${PGBACKUPDIR}
- chmod 700 ${PGBACKUPDIR}
-fi
+ # daily_pgsql_backupdir must be writeable by user pgsql
+ # ~pgsql is just that under normal circumstances,
+ # but this might not be where you want the backups...
+ if [ ! -d ${backupdir} ] ; then
+ echo Creating ${backupdir}
+ mkdir ${backupdir}; chmod 700 ${backupdir}; chown pgsql ${backupdir}
+ fi
-echo
-echo "PostgreSQL maintenance"
+ echo
+ echo "PostgreSQL maintenance"
-# Protect the data
-umask 077
-dbnames=`psql -q -t -A -d template1 -c "SELECT datname FROM pg_database WHERE datname != 'template0'"`
-rc=$?
-now=`date "+%Y-%m-%dT%H:%M:%S"`
-file=${PGBACKUPDIR}/pgglobals_${now}
-pg_dumpall -g | gzip -9 > ${file}.gz
-for db in ${dbnames}; do
- echo -n " $db"
- file=${PGBACKUPDIR}/pgdump_${db}_${now}
- pg_dump ${PGDUMP_ARGS} -f ${file} ${db}
- [ $? -gt 0 ] && rc=3
-done
+ # Protect the data
+ umask 077
+ dbnames=`su -l pgsql -c "psql -q -t -A -d template1 -c SELECT\ datname\ FROM\ pg_database\ WHERE\ datname!=\'template0\'"`
+ rc=$?
+ now=`date "+%Y-%m-%dT%H:%M:%S"`
+ file=${daily_pgsql_backupdir}/pgglobals_${now}
+ su -l pgsql -c "pg_dumpall -g | gzip -9 > ${file}.gz"
+ for db in ${dbnames}; do
+ echo -n " $db"
+ file=${backupdir}/pgdump_${db}_${now}
+ su -l pgsql -c "pg_dump ${daily_pgsql_pgdump_args} -f ${file} ${db}"
+ [ $? -gt 0 ] && rc=3
+ done
-if [ $rc -gt 0 ]; then
- echo
- echo "Errors were reported during backup."
-fi
+ if [ $rc -gt 0 ]; then
+ echo
+ echo "Errors were reported during backup."
+ fi
-echo
-echo "vacuuming..."
-vacuumdb -a -z -q
-if [ $? -gt 0 ]
-then
- echo
- echo "Errors were reported during vacuum."
- rc=3
-fi
+ # cleaning up old data
+ find ${backupdir} \( -name 'pgdump_*' -o -name 'pgglobals_*' \) \
+ -a -mtime +${daily_pgsql_savedays} -delete
+ ;;
+esac
+
+case "$daily_pgsql_vacuum_enable" in
+ [Yy][Ee][Ss])
-# cleaning up old data
-find ${PGBACKUPDIR} \( -name 'pgdump_*' -o -name 'pgglobals_*' \) \
- -a -mtime +${PGBACKUP_SAVE_DAYS} -delete
+ echo
+ echo "vacuuming..."
+ su -l pgsql -c "vacuumdb -a -q ${daily_pgsql_vacuum_args}"
+ if [ $? -gt 0 ]
+ then
+ echo
+ echo "Errors were reported during vacuum."
+ rc=3
+ fi
+ ;;
+esac
exit $rc
diff --git a/databases/postgresql83-server/files/dot.cshrc.in b/databases/postgresql83-server/files/dot.cshrc.in
index 724212c70b23..4069398b376e 100644
--- a/databases/postgresql83-server/files/dot.cshrc.in
+++ b/databases/postgresql83-server/files/dot.cshrc.in
@@ -1,5 +1,3 @@
-set path = ( %%PREFIX%%/bin $path )
-
setenv PGLIB %%PREFIX%%/lib
# note: PGDATA can be overridden by the -D startup option
diff --git a/databases/postgresql83-server/files/dot.profile.in b/databases/postgresql83-server/files/dot.profile.in
index 6da911dfa6fa..954e22eae8f8 100644
--- a/databases/postgresql83-server/files/dot.profile.in
+++ b/databases/postgresql83-server/files/dot.profile.in
@@ -1,6 +1,3 @@
-# both new and old layout's paths, but new path first...
-PATH=%%PREFIX%%/bin:${PATH}
-
PGLIB=%%PREFIX%%/lib
# note: PGDATA can be overridden by the -D startup option
diff --git a/databases/postgresql83-server/files/patch-src-interfaces-jdbc-build-xml b/databases/postgresql83-server/files/patch-src-interfaces-jdbc-build-xml
new file mode 100644
index 000000000000..89806a159665
--- /dev/null
+++ b/databases/postgresql83-server/files/patch-src-interfaces-jdbc-build-xml
@@ -0,0 +1,14 @@
+--- src/interfaces/jdbc/build.xml.orig Thu Jun 24 11:51:44 2004
++++ src/interfaces/jdbc/build.xml Thu Sep 2 01:51:36 2004
+@@ -113,10 +113,7 @@
+
+ <target name="compile" depends="prepare,check_versions,driver">
+
+- <available classname="org.postgresql.Driver" property="old.driver.present" />
+- <fail message="Old driver was detected on classpath or in jre/lib/ext, please remove and try again." if="old.driver.present" />
+-
+- <javac classpath="${srcdir}" srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
++ <javac includeAntRuntime="no" classpath="${srcdir}" srcdir="${srcdir}" destdir="${builddir}" debug="${debug}">
+ <!-- This is the core of the driver. It is common for all three versions. -->
+ <include name="${package}/*.java" />
+ <include name="${package}/core/**" />
diff --git a/databases/postgresql83-server/files/patch-src-interfaces-libpgtcl-Makefile b/databases/postgresql83-server/files/patch-src-interfaces-libpgtcl-Makefile
new file mode 100644
index 000000000000..44c60a29157e
--- /dev/null
+++ b/databases/postgresql83-server/files/patch-src-interfaces-libpgtcl-Makefile
@@ -0,0 +1,11 @@
+--- src/interfaces/libpgtcl/Makefile.orig Tue Feb 10 08:26:48 2004
++++ src/interfaces/libpgtcl/Makefile Thu Mar 11 21:12:25 2004
+@@ -21,7 +21,7 @@
+ OBJS= pgtcl.o pgtclCmds.o pgtclId.o
+
+ SHLIB_LINK = $(libpq) $(TCL_LIB_SPEC) $(TCL_LIBS) \
+- $(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt, $(LIBS)) $(THREAD_LIBS)
++ $(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt -L% -ltcl83 -ltcl84, $(LIBS)) $(THREAD_LIBS)
+
+ all: submake-libpq all-lib
+
diff --git a/databases/postgresql83-server/files/patch-src-makefiles-Makefile.freebsd b/databases/postgresql83-server/files/patch-src-makefiles-Makefile.freebsd
new file mode 100644
index 000000000000..9b4571d5dc30
--- /dev/null
+++ b/databases/postgresql83-server/files/patch-src-makefiles-Makefile.freebsd
@@ -0,0 +1,17 @@
+--- src/makefiles/Makefile.freebsd.orig Wed Aug 29 21:14:40 2001
++++ src/makefiles/Makefile.freebsd Sat Jan 31 17:51:25 2004
+@@ -7,7 +7,7 @@
+ endif
+
+ DLSUFFIX = .so
+-CFLAGS_SL = -fpic -DPIC
++CFLAGS_SL = -fPIC -DPIC
+
+ %.so: %.o
+ ifdef ELF_SYSTEM
+@@ -23,3 +23,5 @@
+ endif
+
+ sqlmansect = 7
++
++allow_nonpic_in_shlib = yes
diff --git a/databases/postgresql83-server/files/pkg-message.server b/databases/postgresql83-server/files/pkg-message.server
deleted file mode 100644
index 69826681eb42..000000000000
--- a/databases/postgresql83-server/files/pkg-message.server
+++ /dev/null
@@ -1,37 +0,0 @@
-======================================================================
-
-To initialize the database, you should run initdb as the "pgsql" user
-(if you want to use your locale for collation, edit ~pgsql/.profile
-and set the locale to your preference first).
-
-Example:
-
- su -l pgsql -c initdb
-
-You can then start PostgreSQL by running:
-
- /usr/local/etc/rc.d/010.pgsql.sh start
-
-For postmaster settings, see ~pgsql/data/postgresql.conf
-
-NB. FreeBSD's PostgreSQL port now by default logs to syslog
- See ~pgsql/data/postgresql.conf for more info
-
-For more tips, read ~pgsql/post-install-notes
-======================================================================
-Specific for the 7.4.1 update:
-
- A dump/restore is *not* required for those running 7.4.
-
- If you want to install the fixes in the information schema you need to
- reload it into the database. This is either accomplished by
- initializing a new cluster by running "initdb", or by running the
- following sequence of SQL commands in each database (ideally including
- template1) as a superuser in psql, after installing the new release:
-DROP SCHEMA information_schema CASCADE;
-\i /usr/local/pgsql/share/information_schema.sql
-
- Fixes to the information schema (from HISTORY):
- * Fix information schema for bit data types (Peter)
- * Fix information schema view constraint_column_usage for foreign
- keys (Peter)
diff --git a/databases/postgresql83-server/files/pkgIndex.tcl.in b/databases/postgresql83-server/files/pkgIndex.tcl.in
new file mode 100644
index 000000000000..bd8329b15c69
--- /dev/null
+++ b/databases/postgresql83-server/files/pkgIndex.tcl.in
@@ -0,0 +1,4 @@
+# Package-index file for Pgtcl-package. Enables you to load PostgreSQL
+# interface functions right into you TCL-interpreter as simply as
+# package require Pgtcl
+package ifneeded Pgtcl 1.3 "load %%PREFIX%%/lib/libpgtcl.so"
diff --git a/databases/postgresql83-server/files/post-install-notes b/databases/postgresql83-server/files/post-install-notes
deleted file mode 100644
index d52b24121539..000000000000
--- a/databases/postgresql83-server/files/post-install-notes
+++ /dev/null
@@ -1,62 +0,0 @@
-The PostgreSQL port has a collection of "side orders":
-
-postgresql-doc
- For all of the html documentation
-
-p5-Pg
- A perl5 API for client access to PostgreSQL databases.
-
-postgresql-tcltk
- If you want tcl/tk client support.
-
-postgresql-jdbc
- For Java JDBC support.
-
-postgresql-odbc
- For client access from unix applications using ODBC as access
- method. Not needed to access unix PostgreSQL servers from Win32
- using ODBC. See below.
-
-ruby-postgres, py-PyGreSQL
- For client access to PostgreSQL databases using the ruby & python
- languages.
-
-p5-postgresql-plperl, postgresql-pltcl & postgresql-plruby
- For using perl5, tcl & ruby as procedural languages.
-
-postgresql-contrib
- Lots of contributed utilities, postgresql functions and
- datatypes. There you find autovacuum, pgcrypto and many other cool
- things.
-
-etc etc...
-
-For procedural languages and postgresql functions, please note that
-you might have to update them when updating the server. For example,
-the "elog" method disappeared in postgresql-7.4, so postgresql-contrib
-must be updated along with the server.
-
-If you have many tables and many clients running, consider raising
-kern.maxfiles using sysctl(8), or reconfigure your kernel
-appropriately.
-
-You should vacuum and backup your database regularly. There is a
-periodic script, /usr/local/share/postgresql/502.pgsql, that you may
-find useful.
-
-To allow many simultaneous connections to your PostgreSQL server, you
-should raise the SystemV shared memory limits in your kernel. Here are
-example values for allowing up to 180 clients (tinkering in
-postgresql.conf also needed, of course):
- options SYSVSHM
- options SYSVSEM
- options SYSVMSG
- options SHMMAXPGS=65536
- options SEMMNI=40
- options SEMMNS=240
- options SEMUME=40
- options SEMMNU=120
-
-If you plan to access your PostgreSQL server using ODBC, please
-consider running the SQL script /usr/local/share/postgresql/odbc.sql
-to get the functions required for ODBC compliance.
diff --git a/databases/postgresql83-server/pkg-install b/databases/postgresql83-server/pkg-install-server
index 90a0378d55f3..c3db75540ffa 100644
--- a/databases/postgresql83-server/pkg-install
+++ b/databases/postgresql83-server/pkg-install-server
@@ -3,13 +3,10 @@
# $FreeBSD$
PATH=/bin:/usr/sbin
-
-DB_DIR=${PKG_PREFIX}/pgsql
+PGUSER=pgsql
+DB_DIR=${PKG_PREFIX}/${PGUSER}
backupwarning() { echo "
-NOTICE: unlike most minor versions, upgrading from 7.4.1 to 7.4.x
-*recommends* some updates to the pg_* system tables. Full
-instructions for how to do this are included in the HISTORY file.
=========== BACKUP YOUR DATA! =============
As always, backup your data before
@@ -27,7 +24,7 @@ instructions for how to do this are included in the HISTORY file.
case $2 in
PRE-INSTALL)
backupwarning
- USER=pgsql
+ USER=${PGUSER}
GROUP=${USER}
UID=70
GID=${UID}
@@ -56,7 +53,7 @@ PRE-INSTALL)
fi
fi
- if ! [ -x ~pgsql ] ; then
+ if ! [ -x ~${PGUSER} ] ; then
mkdir -p ${DB_DIR}
chown pgsql:pgsql ${DB_DIR}
fi
diff --git a/databases/postgresql83-server/pkg-message-client b/databases/postgresql83-server/pkg-message-client
new file mode 100644
index 000000000000..722d50cb4244
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-client
@@ -0,0 +1,32 @@
+The PostgreSQL port has a collection of "side orders":
+
+postgresql-doc
+ For all of the html documentation
+
+p5-Pg
+ A perl5 API for client access to PostgreSQL databases.
+
+postgresql-tcltk
+ If you want tcl/tk client support.
+
+postgresql-jdbc
+ For Java JDBC support.
+
+postgresql-odbc
+ For client access from unix applications using ODBC as access
+ method. Not needed to access unix PostgreSQL servers from Win32
+ using ODBC. See below.
+
+ruby-postgres, py-PyGreSQL
+ For client access to PostgreSQL databases using the ruby & python
+ languages.
+
+p5-postgresql-plperl, postgresql-pltcl & postgresql-plruby
+ For using perl5, tcl & ruby as procedural languages.
+
+postgresql-contrib
+ Lots of contributed utilities, postgresql functions and
+ datatypes. There you find autovacuum, pgcrypto and many other cool
+ things.
+
+etc...
diff --git a/databases/postgresql83-server/pkg-message-contrib b/databases/postgresql83-server/pkg-message-contrib
new file mode 100644
index 000000000000..8120f2d8d89c
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-contrib
@@ -0,0 +1,3 @@
+The PostgreSQL contrib utilities have been installed. Please see
+/usr/local/share/doc/postgresql/contrib/README
+for more information.
diff --git a/databases/postgresql83-server/pkg-message-jdbc b/databases/postgresql83-server/pkg-message-jdbc
new file mode 100644
index 000000000000..d00982c26c05
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-jdbc
@@ -0,0 +1,8 @@
+PostgreSQL JDBC support installed!
+
+postgresql.jar resides in
+/usr/local/share/java/classes/postgresql.jar
+Add this to your CLASSPATH!
+
+java examples reside in
+/usr/local/share/examples/postgresql
diff --git a/databases/postgresql83-server/pkg-message-plperl b/databases/postgresql83-server/pkg-message-plperl
new file mode 100644
index 000000000000..5d0c83920563
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-plperl
@@ -0,0 +1,3 @@
+PL/Perl has been installed. Check the createlang(l) manpage for more
+info. You can install PL/Perl as trusted or untrusted, by using either
+"createlang plperl" or "createlang plperlu".
diff --git a/databases/postgresql83-server/pkg-message-pltcl b/databases/postgresql83-server/pkg-message-pltcl
new file mode 100644
index 000000000000..0902b858de0b
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-pltcl
@@ -0,0 +1,3 @@
+PL/Tcl has been installed. Check the createlang(l) manpage for more
+info. You can install pltcl as trusted or untrusted, by using either
+"createlang pltcl" or "createlang pltclu".
diff --git a/databases/postgresql83-server/pkg-message-server b/databases/postgresql83-server/pkg-message-server
new file mode 100644
index 000000000000..7957a3814c58
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-server
@@ -0,0 +1,71 @@
+
+Specific for updating 7.4.1->7.4.x:
+
+ A dump/restore is *not* required for those running 7.4, BUT:
+
+ If you want to install the fixes in the information schema you will
+ need to reload it into the database. This is either accomplished by
+ initializing a new cluster by running "initdb", or by running the
+ following sequence of SQL commands in each database (ideally including
+ template1) as a superuser in psql, after installing the new release:
+
+DROP SCHEMA information_schema CASCADE;
+\i /usr/local/pgsql/share/information_schema.sql
+
+ Fixes to the information schema (from HISTORY):
+ * Fix information schema for bit data types (Peter)
+ * Fix information schema view constraint_column_usage for foreign
+ keys (Peter)
+
+=====================================================================
+
+For procedural languages and postgresql functions, please note that
+you might have to update them when updating the server. For example,
+the "elog" method disappeared in postgresql-7.4, so postgresql-contrib
+must be updated along with the server.
+
+If you have many tables and many clients running, consider raising
+kern.maxfiles using sysctl(8), or reconfigure your kernel
+appropriately.
+
+You should vacuum and backup your database regularly. There is a
+periodic script, /usr/local/etc/periodic/daily/502.pgsql, that you may
+find useful. See the script for instructions.
+
+To allow many simultaneous connections to your PostgreSQL server, you
+should raise the SystemV shared memory limits in your kernel. Here are
+example values for allowing up to 180 clients (configurations in
+postgresql.conf also needed, of course):
+ options SYSVSHM
+ options SYSVSEM
+ options SYSVMSG
+ options SHMMAXPGS=65536
+ options SEMMNI=40
+ options SEMMNS=240
+ options SEMUME=40
+ options SEMMNU=120
+
+If you plan to access your PostgreSQL server using ODBC, please
+consider running the SQL script /usr/local/share/postgresql/odbc.sql
+to get the functions required for ODBC compliance.
+
+======================================================================
+
+To initialize the database, run
+
+ /usr/local/etc/rc.d/postgresql.sh initdb
+
+You can then start PostgreSQL by running:
+
+ /usr/local/etc/rc.d/postgresql.sh start
+
+For postmaster settings, see ~pgsql/data/postgresql.conf
+
+NB. FreeBSD's PostgreSQL port now by default logs to syslog
+ See ~pgsql/data/postgresql.conf for more info
+
+======================================================================
+
+To run PostgreSQL at startup, add
+'postgresql_enable="YES"' to /etc/rc.conf
+
diff --git a/databases/postgresql83-server/pkg-message-tcltk b/databases/postgresql83-server/pkg-message-tcltk
new file mode 100644
index 000000000000..20a8a8a23518
--- /dev/null
+++ b/databases/postgresql83-server/pkg-message-tcltk
@@ -0,0 +1 @@
+Now, you should install pgaccess to get a nice GUI for PostgreSQL!
diff --git a/databases/postgresql83-server/pkg-plist b/databases/postgresql83-server/pkg-plist
index 29187a33ca67..9c9bab36b9f8 100644
--- a/databases/postgresql83-server/pkg-plist
+++ b/databases/postgresql83-server/pkg-plist
@@ -1,559 +1 @@
-bin/clusterdb
-bin/createdb
-bin/createlang
-bin/createuser
-bin/dropdb
-bin/droplang
-bin/dropuser
-bin/ecpg
-bin/initdb
-bin/initlocation
-bin/ipcclean
-bin/pg_config
-bin/pg_controldata
-bin/pg_ctl
-bin/pg_dump
-bin/pg_dumpall
-bin/pg_encoding
-bin/pg_id
-bin/pg_resetxlog
-bin/pg_restore
-%%SERVER%%bin/postmaster
-%%SERVER%%bin/postgres
-bin/psql
-bin/vacuumdb
-include/libpq/libpq-fs.h
-@dirrm include/libpq
-include/postgresql/internal/libpq/pqcomm.h
-@dirrm include/postgresql/internal/libpq
-include/postgresql/internal/lib/dllist.h
-@dirrm include/postgresql/internal/lib
-include/postgresql/informix/esql/datetime.h
-include/postgresql/informix/esql/decimal.h
-include/postgresql/informix/esql/sqlda.h
-include/postgresql/informix/esql/sqltypes.h
-@dirrm include/postgresql/informix/esql
-@dirrm include/postgresql/informix
-include/postgresql/internal/c.h
-include/postgresql/internal/libpq-int.h
-include/postgresql/internal/postgres_fe.h
-include/postgresql/internal/port.h
-include/postgresql/internal/pqexpbuffer.h
-@dirrm include/postgresql/internal
-include/ecpg_informix.h
-include/ecpgerrno.h
-include/ecpglib.h
-include/ecpgtype.h
-include/libpq-fe.h
-include/pg_config.h
-include/pg_config_manual.h
-include/pg_config_os.h
-include/pgtypes_date.h
-include/pgtypes_error.h
-include/pgtypes_interval.h
-include/pgtypes_numeric.h
-include/pgtypes_timestamp.h
-include/postgres_ext.h
-include/sql3types.h
-include/sqlca.h
-lib/libecpg.a
-lib/libecpg.so
-lib/libecpg.so.4
-lib/libecpg_compat.a
-lib/libecpg_compat.so
-lib/libecpg_compat.so.1
-lib/libpq.a
-lib/libpq.so
-lib/libpq.so.3
-lib/libpgtypes.a
-lib/libpgtypes.so
-lib/libpgtypes.so.1
-%%SERVER%%lib/postgresql/ascii_and_mic.so
-%%SERVER%%lib/postgresql/cyrillic_and_mic.so
-%%SERVER%%lib/postgresql/euc_cn_and_mic.so
-%%SERVER%%lib/postgresql/euc_jp_and_sjis.so
-%%SERVER%%lib/postgresql/euc_kr_and_mic.so
-%%SERVER%%lib/postgresql/euc_tw_and_big5.so
-%%SERVER%%lib/postgresql/latin2_and_win1250.so
-%%SERVER%%lib/postgresql/latin_and_mic.so
-%%SERVER%%lib/postgresql/utf8_and_ascii.so
-%%SERVER%%lib/postgresql/utf8_and_big5.so
-%%SERVER%%lib/postgresql/utf8_and_cyrillic.so
-%%SERVER%%lib/postgresql/utf8_and_euc_cn.so
-%%SERVER%%lib/postgresql/utf8_and_euc_jp.so
-%%SERVER%%lib/postgresql/utf8_and_euc_kr.so
-%%SERVER%%lib/postgresql/utf8_and_euc_tw.so
-%%SERVER%%lib/postgresql/utf8_and_gb18030.so
-%%SERVER%%lib/postgresql/utf8_and_gbk.so
-%%SERVER%%lib/postgresql/utf8_and_iso8859.so
-%%SERVER%%lib/postgresql/utf8_and_iso8859_1.so
-%%SERVER%%lib/postgresql/utf8_and_johab.so
-%%SERVER%%lib/postgresql/utf8_and_sjis.so
-%%SERVER%%lib/postgresql/utf8_and_tcvn.so
-%%SERVER%%lib/postgresql/utf8_and_uhc.so
-%%SERVER%%lib/postgresql/utf8_and_win1250.so
-%%SERVER%%lib/postgresql/utf8_and_win1256.so
-%%SERVER%%lib/postgresql/utf8_and_win874.so
-%%SERVER%%lib/postgresql/plpgsql.so
-@unexec rmdir %D/lib/postgresql 2>/dev/null || true
-%%SERVER%%share/postgresql/502.pgsql
-%%SERVER%%share/postgresql/conversion_create.sql
-%%SERVER%%share/postgresql/information_schema.sql
-%%SERVER%%share/postgresql/pg_hba.conf.sample
-%%SERVER%%share/postgresql/pg_ident.conf.sample
-%%SERVER%%share/postgresql/postgres.bki
-%%SERVER%%share/postgresql/postgres.description
-%%SERVER%%share/postgresql/postgresql.conf.sample
-%%SERVER%%share/postgresql/sql_features.txt
-share/postgresql/pg_service.conf.sample
-share/postgresql/post-install-notes
-@unexec rmdir %D/share/postgresql 2>/dev/null || true
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/cs/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/de/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/es/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/fr/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/hr/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/it/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/nb/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/ru/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/sl/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/sv/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_resetxlog.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pgscripts.mo
-%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/psql.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/libpq.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_controldata.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
-%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
-%%SERVER%%%%GETTEXT%%share/locale/cs/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/de/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/es/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/fr/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/hr/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/hu/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/it/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/nb/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/ru/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/sv/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/tr/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/postgres.mo
-%%SERVER%%%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/postgres.mo
-%%GETTEXT%%@unexec rmdir %D/share/locale/*/LC_MESSAGES 2>/dev/null || true
-%%GETTEXT%%@unexec rmdir %D/share/locale/* 2>/dev/null || true
-%%GETTEXT%%@unexec rmdir %D/share/locale 2>/dev/null || true
-%%SERVER%%@unexec if cmp -s ~pgsql/.profile %D/share/postgresql/dot.profile.dist; then rm -f ~pgsql/.profile; fi
-%%SERVER%%@unexec if cmp -s ~pgsql/.cshrc %D/share/postgresql/dot.cshrc.dist; then rm -f ~pgsql/.cshrc; fi
-%%SERVER%%@unexec [ -f ~pgsql/dot.profile.dist ] && rm ~pgsql/dot.profile.dist
-%%SERVER%%@unexec [ -f ~pgsql/dot.cshrc.dist ] && rm ~pgsql/dot.cshrc.dist
-%%SERVER%%@exec [ -f %D/share/postgresql/post-install-notes ] && cp %D/share/postgresql/post-install-notes ~pgsql && chown pgsql:pgsql ~pgsql/post-install-notes
-%%SERVER%%@unexec [ -f ~pgsql/post-install-notes ] && rm ~pgsql/post-install-notes
-%%SERVER%%share/postgresql/dot.profile.dist
-%%SERVER%%share/postgresql/dot.cshrc.dist
-%%SERVER%%@exec [ -f %D/share/postgresql/dot.profile.dist ] && cp %D/share/postgresql/dot.profile.dist ~pgsql/.
-%%SERVER%%@exec [ -f %D/share/postgresql/dot.cshrc.dist ] && cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.
-%%SERVER%%@exec [ -f ~pgsql/.profile ] || (cp %D/share/postgresql/dot.profile.dist ~pgsql/.profile && chown pgsql:pgsql ~pgsql/.profile)
-%%SERVER%%@exec [ -f ~pgsql/.cshrc ] || (cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.cshrc && chown pgsql:pgsql ~pgsql/.cshrc)
-%%SERVER%%@unexec rmdir ~pgsql 2> /dev/null || true
-%%SERVER%%@unexec echo "Warning: If you will *NOT* use this package anymore, please remove %D/pgsql and the pgsql user manually."
-%%SERVER%%@unexec rmdir %D/share/postgresql 2>/dev/null || true
-%%SERVER%%etc/rc.d/010.pgsql.sh
-%%SERVER%%include/postgresql/server/access/attnum.h
-%%SERVER%%include/postgresql/server/access/clog.h
-%%SERVER%%include/postgresql/server/access/genam.h
-%%SERVER%%include/postgresql/server/access/gist.h
-%%SERVER%%include/postgresql/server/access/gistscan.h
-%%SERVER%%include/postgresql/server/access/hash.h
-%%SERVER%%include/postgresql/server/access/heapam.h
-%%SERVER%%include/postgresql/server/access/hio.h
-%%SERVER%%include/postgresql/server/access/htup.h
-%%SERVER%%include/postgresql/server/access/ibit.h
-%%SERVER%%include/postgresql/server/access/iqual.h
-%%SERVER%%include/postgresql/server/access/istrat.h
-%%SERVER%%include/postgresql/server/access/itup.h
-%%SERVER%%include/postgresql/server/access/nbtree.h
-%%SERVER%%include/postgresql/server/access/printtup.h
-%%SERVER%%include/postgresql/server/access/relscan.h
-%%SERVER%%include/postgresql/server/access/rmgr.h
-%%SERVER%%include/postgresql/server/access/rtree.h
-%%SERVER%%include/postgresql/server/access/rtscan.h
-%%SERVER%%include/postgresql/server/access/sdir.h
-%%SERVER%%include/postgresql/server/access/skey.h
-%%SERVER%%include/postgresql/server/access/slru.h
-%%SERVER%%include/postgresql/server/access/strat.h
-%%SERVER%%include/postgresql/server/access/transam.h
-%%SERVER%%include/postgresql/server/access/tupdesc.h
-%%SERVER%%include/postgresql/server/access/tupmacs.h
-%%SERVER%%include/postgresql/server/access/valid.h
-%%SERVER%%include/postgresql/server/access/tuptoaster.h
-%%SERVER%%include/postgresql/server/access/xact.h
-%%SERVER%%include/postgresql/server/access/xlog.h
-%%SERVER%%include/postgresql/server/access/xlogdefs.h
-%%SERVER%%include/postgresql/server/access/xlogutils.h
-%%SERVER%%include/postgresql/server/bootstrap/bootstrap.h
-%%SERVER%%include/postgresql/server/catalog/catalog.h
-%%SERVER%%include/postgresql/server/catalog/catname.h
-%%SERVER%%include/postgresql/server/catalog/catversion.h
-%%SERVER%%include/postgresql/server/catalog/dependency.h
-%%SERVER%%include/postgresql/server/catalog/heap.h
-%%SERVER%%include/postgresql/server/catalog/index.h
-%%SERVER%%include/postgresql/server/catalog/indexing.h
-%%SERVER%%include/postgresql/server/catalog/namespace.h
-%%SERVER%%include/postgresql/server/catalog/pg_aggregate.h
-%%SERVER%%include/postgresql/server/catalog/pg_am.h
-%%SERVER%%include/postgresql/server/catalog/pg_amop.h
-%%SERVER%%include/postgresql/server/catalog/pg_amproc.h
-%%SERVER%%include/postgresql/server/catalog/pg_attrdef.h
-%%SERVER%%include/postgresql/server/catalog/pg_attribute.h
-%%SERVER%%include/postgresql/server/catalog/pg_cast.h
-%%SERVER%%include/postgresql/server/catalog/pg_class.h
-%%SERVER%%include/postgresql/server/catalog/pg_constraint.h
-%%SERVER%%include/postgresql/server/catalog/pg_control.h
-%%SERVER%%include/postgresql/server/catalog/pg_conversion.h
-%%SERVER%%include/postgresql/server/catalog/pg_database.h
-%%SERVER%%include/postgresql/server/catalog/pg_depend.h
-%%SERVER%%include/postgresql/server/catalog/pg_group.h
-%%SERVER%%include/postgresql/server/catalog/pg_description.h
-%%SERVER%%include/postgresql/server/catalog/pg_index.h
-%%SERVER%%include/postgresql/server/catalog/pg_inherits.h
-%%SERVER%%include/postgresql/server/catalog/pg_language.h
-%%SERVER%%include/postgresql/server/catalog/pg_largeobject.h
-%%SERVER%%include/postgresql/server/catalog/pg_listener.h
-%%SERVER%%include/postgresql/server/catalog/pg_namespace.h
-%%SERVER%%include/postgresql/server/catalog/pg_opclass.h
-%%SERVER%%include/postgresql/server/catalog/pg_operator.h
-%%SERVER%%include/postgresql/server/catalog/pg_proc.h
-%%SERVER%%include/postgresql/server/catalog/pg_rewrite.h
-%%SERVER%%include/postgresql/server/catalog/pg_shadow.h
-%%SERVER%%include/postgresql/server/catalog/pg_statistic.h
-%%SERVER%%include/postgresql/server/catalog/pg_trigger.h
-%%SERVER%%include/postgresql/server/catalog/pg_type.h
-%%SERVER%%include/postgresql/server/catalog/pg_version.h
-%%SERVER%%include/postgresql/server/commands/alter.h
-%%SERVER%%include/postgresql/server/commands/async.h
-%%SERVER%%include/postgresql/server/commands/cluster.h
-%%SERVER%%include/postgresql/server/commands/comment.h
-%%SERVER%%include/postgresql/server/commands/conversioncmds.h
-%%SERVER%%include/postgresql/server/commands/copy.h
-%%SERVER%%include/postgresql/server/commands/dbcommands.h
-%%SERVER%%include/postgresql/server/commands/defrem.h
-%%SERVER%%include/postgresql/server/commands/explain.h
-%%SERVER%%include/postgresql/server/commands/lockcmds.h
-%%SERVER%%include/postgresql/server/commands/portalcmds.h
-%%SERVER%%include/postgresql/server/commands/prepare.h
-%%SERVER%%include/postgresql/server/commands/proclang.h
-%%SERVER%%include/postgresql/server/commands/schemacmds.h
-%%SERVER%%include/postgresql/server/commands/sequence.h
-%%SERVER%%include/postgresql/server/commands/tablecmds.h
-%%SERVER%%include/postgresql/server/commands/trigger.h
-%%SERVER%%include/postgresql/server/commands/typecmds.h
-%%SERVER%%include/postgresql/server/commands/user.h
-%%SERVER%%include/postgresql/server/commands/vacuum.h
-%%SERVER%%include/postgresql/server/commands/variable.h
-%%SERVER%%include/postgresql/server/commands/version.h
-%%SERVER%%include/postgresql/server/commands/view.h
-%%SERVER%%include/postgresql/server/executor/execdebug.h
-%%SERVER%%include/postgresql/server/executor/execdefs.h
-%%SERVER%%include/postgresql/server/executor/execdesc.h
-%%SERVER%%include/postgresql/server/executor/executor.h
-%%SERVER%%include/postgresql/server/executor/functions.h
-%%SERVER%%include/postgresql/server/executor/hashjoin.h
-%%SERVER%%include/postgresql/server/executor/instrument.h
-%%SERVER%%include/postgresql/server/executor/nodeAgg.h
-%%SERVER%%include/postgresql/server/executor/nodeAppend.h
-%%SERVER%%include/postgresql/server/executor/nodeFunctionscan.h
-%%SERVER%%include/postgresql/server/executor/nodeGroup.h
-%%SERVER%%include/postgresql/server/executor/nodeHash.h
-%%SERVER%%include/postgresql/server/executor/nodeHashjoin.h
-%%SERVER%%include/postgresql/server/executor/nodeIndexscan.h
-%%SERVER%%include/postgresql/server/executor/nodeLimit.h
-%%SERVER%%include/postgresql/server/executor/nodeMaterial.h
-%%SERVER%%include/postgresql/server/executor/nodeMergejoin.h
-%%SERVER%%include/postgresql/server/executor/nodeNestloop.h
-%%SERVER%%include/postgresql/server/executor/nodeResult.h
-%%SERVER%%include/postgresql/server/executor/nodeSeqscan.h
-%%SERVER%%include/postgresql/server/executor/nodeSetOp.h
-%%SERVER%%include/postgresql/server/executor/nodeSort.h
-%%SERVER%%include/postgresql/server/executor/nodeSubplan.h
-%%SERVER%%include/postgresql/server/executor/nodeSubqueryscan.h
-%%SERVER%%include/postgresql/server/executor/nodeTidscan.h
-%%SERVER%%include/postgresql/server/executor/nodeUnique.h
-%%SERVER%%include/postgresql/server/executor/spi.h
-%%SERVER%%include/postgresql/server/executor/spi_priv.h
-%%SERVER%%include/postgresql/server/executor/tstoreReceiver.h
-%%SERVER%%include/postgresql/server/executor/tuptable.h
-%%SERVER%%include/postgresql/server/lib/dllist.h
-%%SERVER%%include/postgresql/server/lib/lispsort.h
-%%SERVER%%include/postgresql/server/lib/stringinfo.h
-%%SERVER%%include/postgresql/server/libpq/auth.h
-%%SERVER%%include/postgresql/server/libpq/be-fsstubs.h
-%%SERVER%%include/postgresql/server/libpq/crypt.h
-%%SERVER%%include/postgresql/server/libpq/hba.h
-%%SERVER%%include/postgresql/server/libpq/ip.h
-%%SERVER%%include/postgresql/server/libpq/libpq-be.h
-%%SERVER%%include/postgresql/server/libpq/libpq-fs.h
-%%SERVER%%include/postgresql/server/libpq/libpq.h
-%%SERVER%%include/postgresql/server/libpq/pqcomm.h
-%%SERVER%%include/postgresql/server/libpq/pqformat.h
-%%SERVER%%include/postgresql/server/libpq/pqsignal.h
-%%SERVER%%include/postgresql/server/mb/pg_wchar.h
-%%SERVER%%include/postgresql/server/nodes/bitmapset.h
-%%SERVER%%include/postgresql/server/nodes/execnodes.h
-%%SERVER%%include/postgresql/server/nodes/makefuncs.h
-%%SERVER%%include/postgresql/server/nodes/memnodes.h
-%%SERVER%%include/postgresql/server/nodes/nodeFuncs.h
-%%SERVER%%include/postgresql/server/nodes/nodes.h
-%%SERVER%%include/postgresql/server/nodes/params.h
-%%SERVER%%include/postgresql/server/nodes/parsenodes.h
-%%SERVER%%include/postgresql/server/nodes/pg_list.h
-%%SERVER%%include/postgresql/server/nodes/plannodes.h
-%%SERVER%%include/postgresql/server/nodes/primnodes.h
-%%SERVER%%include/postgresql/server/nodes/print.h
-%%SERVER%%include/postgresql/server/nodes/readfuncs.h
-%%SERVER%%include/postgresql/server/nodes/relation.h
-%%SERVER%%include/postgresql/server/optimizer/clauses.h
-%%SERVER%%include/postgresql/server/optimizer/cost.h
-%%SERVER%%include/postgresql/server/optimizer/geqo.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_copy.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_gene.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_misc.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_mutation.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_pool.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_random.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_recombination.h
-%%SERVER%%include/postgresql/server/optimizer/geqo_selection.h
-%%SERVER%%include/postgresql/server/optimizer/joininfo.h
-%%SERVER%%include/postgresql/server/optimizer/pathnode.h
-%%SERVER%%include/postgresql/server/optimizer/paths.h
-%%SERVER%%include/postgresql/server/optimizer/plancat.h
-%%SERVER%%include/postgresql/server/optimizer/planmain.h
-%%SERVER%%include/postgresql/server/optimizer/planner.h
-%%SERVER%%include/postgresql/server/optimizer/prep.h
-%%SERVER%%include/postgresql/server/optimizer/restrictinfo.h
-%%SERVER%%include/postgresql/server/optimizer/subselect.h
-%%SERVER%%include/postgresql/server/optimizer/tlist.h
-%%SERVER%%include/postgresql/server/optimizer/var.h
-%%SERVER%%include/postgresql/server/parser/analyze.h
-%%SERVER%%include/postgresql/server/parser/gramparse.h
-%%SERVER%%include/postgresql/server/parser/keywords.h
-%%SERVER%%include/postgresql/server/parser/parse.h
-%%SERVER%%include/postgresql/server/parser/parse_agg.h
-%%SERVER%%include/postgresql/server/parser/parse_clause.h
-%%SERVER%%include/postgresql/server/parser/parse_coerce.h
-%%SERVER%%include/postgresql/server/parser/parse_expr.h
-%%SERVER%%include/postgresql/server/parser/parse_func.h
-%%SERVER%%include/postgresql/server/parser/parse_node.h
-%%SERVER%%include/postgresql/server/parser/parse_oper.h
-%%SERVER%%include/postgresql/server/parser/parse_relation.h
-%%SERVER%%include/postgresql/server/parser/parse_target.h
-%%SERVER%%include/postgresql/server/parser/parse_type.h
-%%SERVER%%include/postgresql/server/parser/parser.h
-%%SERVER%%include/postgresql/server/parser/parsetree.h
-%%SERVER%%include/postgresql/server/parser/scansup.h
-%%SERVER%%include/postgresql/server/port/aix.h
-%%SERVER%%include/postgresql/server/port/beos.h
-%%SERVER%%include/postgresql/server/port/bsdi.h
-%%SERVER%%include/postgresql/server/port/cygwin.h
-%%SERVER%%include/postgresql/server/port/darwin.h
-%%SERVER%%include/postgresql/server/port/dgux.h
-%%SERVER%%include/postgresql/server/port/freebsd.h
-%%SERVER%%include/postgresql/server/port/hpux.h
-%%SERVER%%include/postgresql/server/port/irix5.h
-%%SERVER%%include/postgresql/server/port/linux.h
-%%SERVER%%include/postgresql/server/port/netbsd.h
-%%SERVER%%include/postgresql/server/port/nextstep.h
-%%SERVER%%include/postgresql/server/port/openbsd.h
-%%SERVER%%include/postgresql/server/port/osf.h
-%%SERVER%%include/postgresql/server/port/qnx4.h
-%%SERVER%%include/postgresql/server/port/sco.h
-%%SERVER%%include/postgresql/server/port/solaris.h
-%%SERVER%%include/postgresql/server/port/sunos4.h
-%%SERVER%%include/postgresql/server/port/svr4.h
-%%SERVER%%include/postgresql/server/port/ultrix4.h
-%%SERVER%%include/postgresql/server/port/univel.h
-%%SERVER%%include/postgresql/server/port/unixware.h
-%%SERVER%%include/postgresql/server/port/win32.h
-%%SERVER%%include/postgresql/server/regex/regcustom.h
-%%SERVER%%include/postgresql/server/regex/regerrs.h
-%%SERVER%%include/postgresql/server/regex/regex.h
-%%SERVER%%include/postgresql/server/regex/regguts.h
-%%SERVER%%include/postgresql/server/rewrite/prs2lock.h
-%%SERVER%%include/postgresql/server/rewrite/rewriteDefine.h
-%%SERVER%%include/postgresql/server/rewrite/rewriteHandler.h
-%%SERVER%%include/postgresql/server/rewrite/rewriteManip.h
-%%SERVER%%include/postgresql/server/rewrite/rewriteRemove.h
-%%SERVER%%include/postgresql/server/rewrite/rewriteSupport.h
-%%SERVER%%include/postgresql/server/storage/backendid.h
-%%SERVER%%include/postgresql/server/storage/block.h
-%%SERVER%%include/postgresql/server/storage/buf.h
-%%SERVER%%include/postgresql/server/storage/buf_internals.h
-%%SERVER%%include/postgresql/server/storage/buffile.h
-%%SERVER%%include/postgresql/server/storage/bufmgr.h
-%%SERVER%%include/postgresql/server/storage/bufpage.h
-%%SERVER%%include/postgresql/server/storage/fd.h
-%%SERVER%%include/postgresql/server/storage/freespace.h
-%%SERVER%%include/postgresql/server/storage/ipc.h
-%%SERVER%%include/postgresql/server/storage/item.h
-%%SERVER%%include/postgresql/server/storage/itemid.h
-%%SERVER%%include/postgresql/server/storage/itempos.h
-%%SERVER%%include/postgresql/server/storage/itemptr.h
-%%SERVER%%include/postgresql/server/storage/large_object.h
-%%SERVER%%include/postgresql/server/storage/lmgr.h
-%%SERVER%%include/postgresql/server/storage/lock.h
-%%SERVER%%include/postgresql/server/storage/lwlock.h
-%%SERVER%%include/postgresql/server/storage/off.h
-%%SERVER%%include/postgresql/server/storage/pg_sema.h
-%%SERVER%%include/postgresql/server/storage/pg_shmem.h
-%%SERVER%%include/postgresql/server/storage/pmsignal.h
-%%SERVER%%include/postgresql/server/storage/pos.h
-%%SERVER%%include/postgresql/server/storage/proc.h
-%%SERVER%%include/postgresql/server/storage/relfilenode.h
-%%SERVER%%include/postgresql/server/storage/s_lock.h
-%%SERVER%%include/postgresql/server/storage/shmem.h
-%%SERVER%%include/postgresql/server/storage/sinval.h
-%%SERVER%%include/postgresql/server/storage/sinvaladt.h
-%%SERVER%%include/postgresql/server/storage/smgr.h
-%%SERVER%%include/postgresql/server/storage/spin.h
-%%SERVER%%include/postgresql/server/tcop/dest.h
-%%SERVER%%include/postgresql/server/tcop/fastpath.h
-%%SERVER%%include/postgresql/server/tcop/pquery.h
-%%SERVER%%include/postgresql/server/tcop/tcopdebug.h
-%%SERVER%%include/postgresql/server/tcop/tcopprot.h
-%%SERVER%%include/postgresql/server/tcop/utility.h
-%%SERVER%%include/postgresql/server/utils/acl.h
-%%SERVER%%include/postgresql/server/utils/array.h
-%%SERVER%%include/postgresql/server/utils/ascii.h
-%%SERVER%%include/postgresql/server/utils/builtins.h
-%%SERVER%%include/postgresql/server/utils/cash.h
-%%SERVER%%include/postgresql/server/utils/catcache.h
-%%SERVER%%include/postgresql/server/utils/date.h
-%%SERVER%%include/postgresql/server/utils/datetime.h
-%%SERVER%%include/postgresql/server/utils/datum.h
-%%SERVER%%include/postgresql/server/utils/dynahash.h
-%%SERVER%%include/postgresql/server/utils/dynamic_loader.h
-%%SERVER%%include/postgresql/server/utils/elog.h
-%%SERVER%%include/postgresql/server/utils/errcodes.h
-%%SERVER%%include/postgresql/server/utils/fmgroids.h
-%%SERVER%%include/postgresql/server/utils/fmgrtab.h
-%%SERVER%%include/postgresql/server/utils/formatting.h
-%%SERVER%%include/postgresql/server/utils/geo_decls.h
-%%SERVER%%include/postgresql/server/utils/guc.h
-%%SERVER%%include/postgresql/server/utils/guc_tables.h
-%%SERVER%%include/postgresql/server/utils/hsearch.h
-%%SERVER%%include/postgresql/server/utils/help_config.h
-%%SERVER%%include/postgresql/server/utils/inet.h
-%%SERVER%%include/postgresql/server/utils/int8.h
-%%SERVER%%include/postgresql/server/utils/inval.h
-%%SERVER%%include/postgresql/server/utils/logtape.h
-%%SERVER%%include/postgresql/server/utils/lsyscache.h
-%%SERVER%%include/postgresql/server/utils/memutils.h
-%%SERVER%%include/postgresql/server/utils/nabstime.h
-%%SERVER%%include/postgresql/server/utils/numeric.h
-%%SERVER%%include/postgresql/server/utils/palloc.h
-%%SERVER%%include/postgresql/server/utils/pg_crc.h
-%%SERVER%%include/postgresql/server/utils/pg_locale.h
-%%SERVER%%include/postgresql/server/utils/pg_lzcompress.h
-%%SERVER%%include/postgresql/server/utils/portal.h
-%%SERVER%%include/postgresql/server/utils/ps_status.h
-%%SERVER%%include/postgresql/server/utils/rel.h
-%%SERVER%%include/postgresql/server/utils/relcache.h
-%%SERVER%%include/postgresql/server/utils/selfuncs.h
-%%SERVER%%include/postgresql/server/utils/sets.h
-%%SERVER%%include/postgresql/server/utils/syscache.h
-%%SERVER%%include/postgresql/server/utils/timestamp.h
-%%SERVER%%include/postgresql/server/utils/tqual.h
-%%SERVER%%include/postgresql/server/utils/tuplesort.h
-%%SERVER%%include/postgresql/server/utils/tuplestore.h
-%%SERVER%%include/postgresql/server/utils/typcache.h
-%%SERVER%%include/postgresql/server/utils/varbit.h
-%%SERVER%%include/postgresql/server/c.h
-%%SERVER%%include/postgresql/server/dynloader.h
-%%SERVER%%include/postgresql/server/fmgr.h
-%%SERVER%%include/postgresql/server/funcapi.h
-%%SERVER%%include/postgresql/server/getaddrinfo.h
-%%SERVER%%include/postgresql/server/getopt_long.h
-%%SERVER%%include/postgresql/server/miscadmin.h
-%%SERVER%%include/postgresql/server/pg_config.h
-%%SERVER%%include/postgresql/server/pg_config_manual.h
-%%SERVER%%include/postgresql/server/pg_config_os.h
-%%SERVER%%include/postgresql/server/pgstat.h
-%%SERVER%%include/postgresql/server/port.h
-%%SERVER%%include/postgresql/server/postgres.h
-%%SERVER%%include/postgresql/server/postgres_ext.h
-%%SERVER%%include/postgresql/server/postgres_fe.h
-%%SERVER%%include/postgresql/server/rusagestub.h
-%%SERVER%%include/postgresql/server/strdup.h
-%%SERVER%%@dirrm include/postgresql/server/access
-%%SERVER%%@dirrm include/postgresql/server/bootstrap
-%%SERVER%%@dirrm include/postgresql/server/catalog
-%%SERVER%%@dirrm include/postgresql/server/commands
-%%SERVER%%@dirrm include/postgresql/server/executor
-%%SERVER%%@dirrm include/postgresql/server/lib
-%%SERVER%%@dirrm include/postgresql/server/libpq
-%%SERVER%%@dirrm include/postgresql/server/mb
-%%SERVER%%@dirrm include/postgresql/server/nodes
-%%SERVER%%@dirrm include/postgresql/server/optimizer
-%%SERVER%%@dirrm include/postgresql/server/parser
-%%SERVER%%@dirrm include/postgresql/server/port
-%%SERVER%%@dirrm include/postgresql/server/regex
-%%SERVER%%@dirrm include/postgresql/server/rewrite
-%%SERVER%%@dirrm include/postgresql/server/storage
-%%SERVER%%@dirrm include/postgresql/server/tcop
-%%SERVER%%@dirrm include/postgresql/server/utils
-%%SERVER%%@dirrm include/postgresql/server
-@dirrm include/postgresql
+@comment to make portlint happy
diff --git a/databases/postgresql83-server/pkg-plist-client b/databases/postgresql83-server/pkg-plist-client
new file mode 100644
index 000000000000..7773815d3078
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-client
@@ -0,0 +1,148 @@
+bin/clusterdb
+bin/createdb
+bin/createlang
+bin/createuser
+bin/dropdb
+bin/droplang
+bin/dropuser
+bin/ecpg
+bin/initdb
+bin/initlocation
+bin/ipcclean
+bin/pg_config
+bin/pg_controldata
+bin/pg_ctl
+bin/pg_dump
+bin/pg_dumpall
+bin/pg_encoding
+bin/pg_id
+bin/pg_resetxlog
+bin/pg_restore
+bin/psql
+bin/vacuumdb
+include/libpq/libpq-fs.h
+@dirrm include/libpq
+include/postgresql/internal/libpq/pqcomm.h
+@dirrm include/postgresql/internal/libpq
+include/postgresql/internal/lib/dllist.h
+@dirrm include/postgresql/internal/lib
+include/postgresql/informix/esql/datetime.h
+include/postgresql/informix/esql/decimal.h
+include/postgresql/informix/esql/sqlda.h
+include/postgresql/informix/esql/sqltypes.h
+@dirrm include/postgresql/informix/esql
+@dirrm include/postgresql/informix
+include/postgresql/internal/c.h
+include/postgresql/internal/libpq-int.h
+include/postgresql/internal/postgres_fe.h
+include/postgresql/internal/port.h
+include/postgresql/internal/pqexpbuffer.h
+@dirrm include/postgresql/internal
+include/ecpg_informix.h
+include/ecpgerrno.h
+include/ecpglib.h
+include/ecpgtype.h
+include/libpq-fe.h
+include/pg_config.h
+include/pg_config_manual.h
+include/pg_config_os.h
+include/pgtypes_date.h
+include/pgtypes_error.h
+include/pgtypes_interval.h
+include/pgtypes_numeric.h
+include/pgtypes_timestamp.h
+include/postgres_ext.h
+include/sql3types.h
+include/sqlca.h
+lib/libecpg.a
+lib/libecpg.so
+lib/libecpg.so.4
+lib/libecpg_compat.a
+lib/libecpg_compat.so
+lib/libecpg_compat.so.1
+lib/libpq.a
+lib/libpq.so
+lib/libpq.so.3
+lib/libpgtypes.a
+lib/libpgtypes.so
+lib/libpgtypes.so.1
+@unexec rmdir %D/lib/postgresql 2>/dev/null || true
+share/postgresql/README-client
+share/postgresql/pg_service.conf.sample
+@unexec rmdir %D/share/postgresql 2>/dev/null || true
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/hr/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/hu/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/hu/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/sl/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/sl/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/sl/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/sl/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pg_resetxlog.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/pgscripts.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/psql.mo
+%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/libpq.mo
+%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_controldata.mo
+%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/pg_dump.mo
+%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/psql.mo
+%%GETTEXT%%@unexec rmdir %D/share/locale/*/LC_MESSAGES 2>/dev/null || true
+%%GETTEXT%%@unexec rmdir %D/share/locale/* 2>/dev/null || true
+%%GETTEXT%%@unexec rmdir %D/share/locale 2>/dev/null || true
+@dirrm include/postgresql
diff --git a/databases/postgresql83-server/pkg-plist-contrib b/databases/postgresql83-server/pkg-plist-contrib
new file mode 100644
index 000000000000..6f03c45e8aa3
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-contrib
@@ -0,0 +1,145 @@
+bin/ApplySnapshot
+bin/CleanLog
+bin/GetSyncID
+bin/InitRservTest
+bin/MasterAddTable
+bin/MasterInit
+bin/MasterSync
+bin/PrepareSnapshot
+bin/Replicate
+bin/RservTest
+bin/SlaveAddTable
+bin/SlaveInit
+bin/dbf2pg
+bin/findoidjoins
+bin/fti.pl
+bin/ipc_check
+bin/make_oidjoins_check
+bin/oid2name
+bin/pg_autovacuum
+bin/pg_dumplo
+bin/pg_logger
+bin/pgbench
+bin/reindexdb
+bin/vacuumlo
+lib/postgresql/_int.so
+lib/postgresql/autoinc.so
+lib/postgresql/btree_gist.so
+lib/postgresql/chkpass.so
+lib/postgresql/cube.so
+lib/postgresql/dblink.so
+lib/postgresql/dbsize.so
+lib/postgresql/earthdistance.so
+lib/postgresql/fti.so
+lib/postgresql/fuzzystrmatch.so
+lib/postgresql/insert_username.so
+lib/postgresql/int_aggregate.so
+lib/postgresql/isbn_issn.so
+lib/postgresql/lo.so
+lib/postgresql/ltree.so
+lib/postgresql/misc_utils.so
+lib/postgresql/moddatetime.so
+lib/postgresql/noup.so
+lib/postgresql/pending.so
+lib/postgresql/pgcrypto.so
+lib/postgresql/pgstattuple.so
+lib/postgresql/refint.so
+lib/postgresql/rserv.so
+lib/postgresql/rtree_gist.so
+lib/postgresql/seg.so
+lib/postgresql/string_io.so
+lib/postgresql/tablefunc.so
+lib/postgresql/timetravel.so
+lib/postgresql/tsearch.so
+lib/postgresql/tsearch2.so
+lib/postgresql/user_locks.so
+%%DOCSDIR%%/contrib/README
+%%DOCSDIR%%/contrib/README.apachelog
+%%DOCSDIR%%/contrib/README.btree_gist
+%%DOCSDIR%%/contrib/README.chkpass
+%%DOCSDIR%%/contrib/README.cube
+%%DOCSDIR%%/contrib/README.dbf2pg
+%%DOCSDIR%%/contrib/README.dblink
+%%DOCSDIR%%/contrib/README.dbmirror
+%%DOCSDIR%%/contrib/README.dbsize
+%%DOCSDIR%%/contrib/README.earthdistance
+%%DOCSDIR%%/contrib/README.findoidjoins
+%%DOCSDIR%%/contrib/README.fti
+%%DOCSDIR%%/contrib/README.fuzzystrmatch
+%%DOCSDIR%%/contrib/README.int_aggregate
+%%DOCSDIR%%/contrib/README.intarray
+%%DOCSDIR%%/contrib/README.ipc_check
+%%DOCSDIR%%/contrib/README.isbn_issn
+%%DOCSDIR%%/contrib/README.lo
+%%DOCSDIR%%/contrib/README.ltree
+%%DOCSDIR%%/contrib/README.misc_utils
+%%DOCSDIR%%/contrib/README.noup
+%%DOCSDIR%%/contrib/README.oid2name
+%%DOCSDIR%%/contrib/README.pg_autovacuum
+%%DOCSDIR%%/contrib/README.pg_dumplo
+%%DOCSDIR%%/contrib/README.pg_logger
+%%DOCSDIR%%/contrib/README.pgbench
+%%DOCSDIR%%/contrib/README.pgbench_jis
+%%DOCSDIR%%/contrib/README.pgcrypto
+%%DOCSDIR%%/contrib/README.pgstattuple
+%%DOCSDIR%%/contrib/README.pgstattuple.euc_jp
+%%DOCSDIR%%/contrib/README.reindexdb
+%%DOCSDIR%%/contrib/README.rserv
+%%DOCSDIR%%/contrib/README.rtree_gist
+%%DOCSDIR%%/contrib/README.seg
+%%DOCSDIR%%/contrib/README.soundex
+%%DOCSDIR%%/contrib/README.spi
+%%DOCSDIR%%/contrib/README.string_io
+%%DOCSDIR%%/contrib/README.tablefunc
+%%DOCSDIR%%/contrib/README.tsearch
+%%DOCSDIR%%/contrib/README.tsearch2
+%%DOCSDIR%%/contrib/README.user_locks
+%%DOCSDIR%%/contrib/README.vacuumlo
+%%DOCSDIR%%/contrib/autoinc.example
+%%DOCSDIR%%/contrib/insert_username.example
+%%DOCSDIR%%/contrib/moddatetime.example
+%%DOCSDIR%%/contrib/refint.example
+%%DOCSDIR%%/contrib/timetravel.example
+share/postgresql/contrib/RServ.pm
+share/postgresql/contrib/_int.sql
+share/postgresql/contrib/autoinc.sql
+share/postgresql/contrib/btree_gist.sql
+share/postgresql/contrib/chkpass.sql
+share/postgresql/contrib/cube.sql
+share/postgresql/contrib/dblink.sql
+share/postgresql/contrib/dbsize.sql
+share/postgresql/contrib/earthdistance.sql
+share/postgresql/contrib/english.stop
+share/postgresql/contrib/fti.sql
+share/postgresql/contrib/fuzzystrmatch.sql
+share/postgresql/contrib/insert_username.sql
+share/postgresql/contrib/int_aggregate.sql
+share/postgresql/contrib/isbn_issn.sql
+share/postgresql/contrib/lo.sql
+share/postgresql/contrib/lo_drop.sql
+share/postgresql/contrib/lo_test.sql
+share/postgresql/contrib/ltree.sql
+share/postgresql/contrib/master.sql
+share/postgresql/contrib/misc_utils.sql
+share/postgresql/contrib/moddatetime.sql
+share/postgresql/contrib/noup.sql
+share/postgresql/contrib/pgcrypto.sql
+share/postgresql/contrib/pgstattuple.sql
+share/postgresql/contrib/refint.sql
+share/postgresql/contrib/rtree_gist.sql
+share/postgresql/contrib/russian.stop
+share/postgresql/contrib/seg.sql
+share/postgresql/contrib/slave.sql
+share/postgresql/contrib/string_io.sql
+share/postgresql/contrib/tablefunc.sql
+share/postgresql/contrib/timetravel.sql
+share/postgresql/contrib/tsearch.sql
+share/postgresql/contrib/tsearch2.sql
+share/postgresql/contrib/untsearch2.sql
+share/postgresql/contrib/user_locks.sql
+share/postgresql/README-contrib
+@unexec rmdir %D/share/postgresql/contrib >&2 2> /dev/null || true
+@unexec rmdir %D/share/postgresql >&2 2> /dev/null || true
+@unexec rmdir %D/%%DOCSDIR%%/contrib >&2 2> /dev/null || true
+@unexec rmdir %D/%%DOCSDIR%% >&2 2> /dev/null || true
+@unexec rmdir %D/lib/postgresql >&2 2> /dev/null || true
diff --git a/databases/postgresql83-server/pkg-plist-jdbc b/databases/postgresql83-server/pkg-plist-jdbc
new file mode 100644
index 000000000000..8f79235fa198
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-jdbc
@@ -0,0 +1,27 @@
+%%PORTDOCS%%%%EXAMPLESDIR%%/ImageViewer.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/README
+%%PORTDOCS%%%%EXAMPLESDIR%%/Unicode.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/basic.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/blobtest.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockClient.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDB.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockDispenserImpl.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockItemImpl.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/StockServer.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/readme
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.idl
+%%PORTDOCS%%%%EXAMPLESDIR%%/corba/stock.sql
+%%PORTDOCS%%%%EXAMPLESDIR%%/datestyle.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/metadata.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/psql.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/threadsafe.java
+share/java/classes/postgresql.jar
+@unexec rmdir %D/share/java/classes 2>/dev/null || true
+@unexec rmdir %D/share/java 2>/dev/null || true
+%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%/corba
+@unexec rmdir %D/%%EXAMPLESDIR%% 2>/dev/null || true
+share/postgresql/java/postgresql-examples.jar
+share/postgresql/java/postgresql.jar
+@dirrm share/postgresql/java
+share/postgresql/README-jdbc
+@unexec rmdir %D/share/postgresql 2>/dev/null || true
diff --git a/databases/postgresql83-server/pkg-plist-plperl b/databases/postgresql83-server/pkg-plist-plperl
new file mode 100644
index 000000000000..56bb75060a28
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-plperl
@@ -0,0 +1,2 @@
+lib/postgresql/plperl.so
+@unexec rmdir %D/lib/postgresql 2>/dev/null || true
diff --git a/databases/postgresql83-server/pkg-plist-pltcl b/databases/postgresql83-server/pkg-plist-pltcl
new file mode 100644
index 000000000000..6b4db2ed3bbd
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-pltcl
@@ -0,0 +1,8 @@
+lib/postgresql/pltcl.so
+@unexec rmdir %D/lib/postgresql 2>/dev/null || true
+bin/pltcl_loadmod
+bin/pltcl_delmod
+bin/pltcl_listmod
+share/postgresql/README-pltcl
+share/postgresql/unknown.pltcl
+@unexec rmdir %D/share/postgresql 2>/dev/null || true
diff --git a/databases/postgresql83-server/pkg-plist-server b/databases/postgresql83-server/pkg-plist-server
new file mode 100644
index 000000000000..3ce747f9fa74
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-server
@@ -0,0 +1,411 @@
+bin/postmaster
+bin/postgres
+etc/periodic/daily/502.pgsql
+lib/postgresql/ascii_and_mic.so
+lib/postgresql/cyrillic_and_mic.so
+lib/postgresql/euc_cn_and_mic.so
+lib/postgresql/euc_jp_and_sjis.so
+lib/postgresql/euc_kr_and_mic.so
+lib/postgresql/euc_tw_and_big5.so
+lib/postgresql/latin2_and_win1250.so
+lib/postgresql/latin_and_mic.so
+lib/postgresql/utf8_and_ascii.so
+lib/postgresql/utf8_and_big5.so
+lib/postgresql/utf8_and_cyrillic.so
+lib/postgresql/utf8_and_euc_cn.so
+lib/postgresql/utf8_and_euc_jp.so
+lib/postgresql/utf8_and_euc_kr.so
+lib/postgresql/utf8_and_euc_tw.so
+lib/postgresql/utf8_and_gb18030.so
+lib/postgresql/utf8_and_gbk.so
+lib/postgresql/utf8_and_iso8859.so
+lib/postgresql/utf8_and_iso8859_1.so
+lib/postgresql/utf8_and_johab.so
+lib/postgresql/utf8_and_sjis.so
+lib/postgresql/utf8_and_tcvn.so
+lib/postgresql/utf8_and_uhc.so
+lib/postgresql/utf8_and_win1250.so
+lib/postgresql/utf8_and_win1256.so
+lib/postgresql/utf8_and_win874.so
+lib/postgresql/plpgsql.so
+share/postgresql/README-server
+share/postgresql/conversion_create.sql
+share/postgresql/information_schema.sql
+share/postgresql/pg_hba.conf.sample
+share/postgresql/pg_ident.conf.sample
+share/postgresql/postgres.bki
+share/postgresql/postgres.description
+share/postgresql/postgresql.conf.sample
+share/postgresql/sql_features.txt
+%%GETTEXT%%share/locale/cs/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/de/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/es/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/fr/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/hr/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/hu/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/it/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/nb/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/pt_BR/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/ru/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/sv/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/tr/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/zh_CN/LC_MESSAGES/postgres.mo
+%%GETTEXT%%share/locale/zh_TW/LC_MESSAGES/postgres.mo
+@unexec if cmp -s ~pgsql/.profile %D/share/postgresql/dot.profile.dist; then rm -f ~pgsql/.profile; fi
+@unexec if cmp -s ~pgsql/.cshrc %D/share/postgresql/dot.cshrc.dist; then rm -f ~pgsql/.cshrc; fi
+@unexec [ -f ~pgsql/dot.profile.dist ] && rm ~pgsql/dot.profile.dist
+@unexec [ -f ~pgsql/dot.cshrc.dist ] && rm ~pgsql/dot.cshrc.dist
+share/postgresql/dot.profile.dist
+share/postgresql/dot.cshrc.dist
+@exec [ -f %D/share/postgresql/dot.profile.dist ] && cp %D/share/postgresql/dot.profile.dist ~pgsql/.
+@exec [ -f %D/share/postgresql/dot.cshrc.dist ] && cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.
+@exec [ -f ~pgsql/.profile ] || (cp %D/share/postgresql/dot.profile.dist ~pgsql/.profile && chown pgsql:pgsql ~pgsql/.profile)
+@exec [ -f ~pgsql/.cshrc ] || (cp %D/share/postgresql/dot.cshrc.dist ~pgsql/.cshrc && chown pgsql:pgsql ~pgsql/.cshrc)
+@unexec rmdir ~pgsql 2> /dev/null || true
+@unexec echo "Warning: If you will *NOT* use this package anymore, please remove %D/pgsql and the pgsql user manually."
+@unexec rmdir %D/share/postgresql 2>/dev/null || true
+@unexec rmdir %D/etc/periodic/daily 2>/dev/null || true
+etc/rc.d/postgresql.sh
+include/postgresql/server/access/attnum.h
+include/postgresql/server/access/clog.h
+include/postgresql/server/access/genam.h
+include/postgresql/server/access/gist.h
+include/postgresql/server/access/gistscan.h
+include/postgresql/server/access/hash.h
+include/postgresql/server/access/heapam.h
+include/postgresql/server/access/hio.h
+include/postgresql/server/access/htup.h
+include/postgresql/server/access/ibit.h
+include/postgresql/server/access/iqual.h
+include/postgresql/server/access/istrat.h
+include/postgresql/server/access/itup.h
+include/postgresql/server/access/nbtree.h
+include/postgresql/server/access/printtup.h
+include/postgresql/server/access/relscan.h
+include/postgresql/server/access/rmgr.h
+include/postgresql/server/access/rtree.h
+include/postgresql/server/access/rtscan.h
+include/postgresql/server/access/sdir.h
+include/postgresql/server/access/skey.h
+include/postgresql/server/access/slru.h
+include/postgresql/server/access/strat.h
+include/postgresql/server/access/transam.h
+include/postgresql/server/access/tupdesc.h
+include/postgresql/server/access/tupmacs.h
+include/postgresql/server/access/valid.h
+include/postgresql/server/access/tuptoaster.h
+include/postgresql/server/access/xact.h
+include/postgresql/server/access/xlog.h
+include/postgresql/server/access/xlogdefs.h
+include/postgresql/server/access/xlogutils.h
+include/postgresql/server/bootstrap/bootstrap.h
+include/postgresql/server/catalog/catalog.h
+include/postgresql/server/catalog/catname.h
+include/postgresql/server/catalog/catversion.h
+include/postgresql/server/catalog/dependency.h
+include/postgresql/server/catalog/heap.h
+include/postgresql/server/catalog/index.h
+include/postgresql/server/catalog/indexing.h
+include/postgresql/server/catalog/namespace.h
+include/postgresql/server/catalog/pg_aggregate.h
+include/postgresql/server/catalog/pg_am.h
+include/postgresql/server/catalog/pg_amop.h
+include/postgresql/server/catalog/pg_amproc.h
+include/postgresql/server/catalog/pg_attrdef.h
+include/postgresql/server/catalog/pg_attribute.h
+include/postgresql/server/catalog/pg_cast.h
+include/postgresql/server/catalog/pg_class.h
+include/postgresql/server/catalog/pg_constraint.h
+include/postgresql/server/catalog/pg_control.h
+include/postgresql/server/catalog/pg_conversion.h
+include/postgresql/server/catalog/pg_database.h
+include/postgresql/server/catalog/pg_depend.h
+include/postgresql/server/catalog/pg_group.h
+include/postgresql/server/catalog/pg_description.h
+include/postgresql/server/catalog/pg_index.h
+include/postgresql/server/catalog/pg_inherits.h
+include/postgresql/server/catalog/pg_language.h
+include/postgresql/server/catalog/pg_largeobject.h
+include/postgresql/server/catalog/pg_listener.h
+include/postgresql/server/catalog/pg_namespace.h
+include/postgresql/server/catalog/pg_opclass.h
+include/postgresql/server/catalog/pg_operator.h
+include/postgresql/server/catalog/pg_proc.h
+include/postgresql/server/catalog/pg_rewrite.h
+include/postgresql/server/catalog/pg_shadow.h
+include/postgresql/server/catalog/pg_statistic.h
+include/postgresql/server/catalog/pg_trigger.h
+include/postgresql/server/catalog/pg_type.h
+include/postgresql/server/catalog/pg_version.h
+include/postgresql/server/commands/alter.h
+include/postgresql/server/commands/async.h
+include/postgresql/server/commands/cluster.h
+include/postgresql/server/commands/comment.h
+include/postgresql/server/commands/conversioncmds.h
+include/postgresql/server/commands/copy.h
+include/postgresql/server/commands/dbcommands.h
+include/postgresql/server/commands/defrem.h
+include/postgresql/server/commands/explain.h
+include/postgresql/server/commands/lockcmds.h
+include/postgresql/server/commands/portalcmds.h
+include/postgresql/server/commands/prepare.h
+include/postgresql/server/commands/proclang.h
+include/postgresql/server/commands/schemacmds.h
+include/postgresql/server/commands/sequence.h
+include/postgresql/server/commands/tablecmds.h
+include/postgresql/server/commands/trigger.h
+include/postgresql/server/commands/typecmds.h
+include/postgresql/server/commands/user.h
+include/postgresql/server/commands/vacuum.h
+include/postgresql/server/commands/variable.h
+include/postgresql/server/commands/version.h
+include/postgresql/server/commands/view.h
+include/postgresql/server/executor/execdebug.h
+include/postgresql/server/executor/execdefs.h
+include/postgresql/server/executor/execdesc.h
+include/postgresql/server/executor/executor.h
+include/postgresql/server/executor/functions.h
+include/postgresql/server/executor/hashjoin.h
+include/postgresql/server/executor/instrument.h
+include/postgresql/server/executor/nodeAgg.h
+include/postgresql/server/executor/nodeAppend.h
+include/postgresql/server/executor/nodeFunctionscan.h
+include/postgresql/server/executor/nodeGroup.h
+include/postgresql/server/executor/nodeHash.h
+include/postgresql/server/executor/nodeHashjoin.h
+include/postgresql/server/executor/nodeIndexscan.h
+include/postgresql/server/executor/nodeLimit.h
+include/postgresql/server/executor/nodeMaterial.h
+include/postgresql/server/executor/nodeMergejoin.h
+include/postgresql/server/executor/nodeNestloop.h
+include/postgresql/server/executor/nodeResult.h
+include/postgresql/server/executor/nodeSeqscan.h
+include/postgresql/server/executor/nodeSetOp.h
+include/postgresql/server/executor/nodeSort.h
+include/postgresql/server/executor/nodeSubplan.h
+include/postgresql/server/executor/nodeSubqueryscan.h
+include/postgresql/server/executor/nodeTidscan.h
+include/postgresql/server/executor/nodeUnique.h
+include/postgresql/server/executor/spi.h
+include/postgresql/server/executor/spi_priv.h
+include/postgresql/server/executor/tstoreReceiver.h
+include/postgresql/server/executor/tuptable.h
+include/postgresql/server/lib/dllist.h
+include/postgresql/server/lib/lispsort.h
+include/postgresql/server/lib/stringinfo.h
+include/postgresql/server/libpq/auth.h
+include/postgresql/server/libpq/be-fsstubs.h
+include/postgresql/server/libpq/crypt.h
+include/postgresql/server/libpq/hba.h
+include/postgresql/server/libpq/ip.h
+include/postgresql/server/libpq/libpq-be.h
+include/postgresql/server/libpq/libpq-fs.h
+include/postgresql/server/libpq/libpq.h
+include/postgresql/server/libpq/pqcomm.h
+include/postgresql/server/libpq/pqformat.h
+include/postgresql/server/libpq/pqsignal.h
+include/postgresql/server/mb/pg_wchar.h
+include/postgresql/server/nodes/bitmapset.h
+include/postgresql/server/nodes/execnodes.h
+include/postgresql/server/nodes/makefuncs.h
+include/postgresql/server/nodes/memnodes.h
+include/postgresql/server/nodes/nodeFuncs.h
+include/postgresql/server/nodes/nodes.h
+include/postgresql/server/nodes/params.h
+include/postgresql/server/nodes/parsenodes.h
+include/postgresql/server/nodes/pg_list.h
+include/postgresql/server/nodes/plannodes.h
+include/postgresql/server/nodes/primnodes.h
+include/postgresql/server/nodes/print.h
+include/postgresql/server/nodes/readfuncs.h
+include/postgresql/server/nodes/relation.h
+include/postgresql/server/optimizer/clauses.h
+include/postgresql/server/optimizer/cost.h
+include/postgresql/server/optimizer/geqo.h
+include/postgresql/server/optimizer/geqo_copy.h
+include/postgresql/server/optimizer/geqo_gene.h
+include/postgresql/server/optimizer/geqo_misc.h
+include/postgresql/server/optimizer/geqo_mutation.h
+include/postgresql/server/optimizer/geqo_pool.h
+include/postgresql/server/optimizer/geqo_random.h
+include/postgresql/server/optimizer/geqo_recombination.h
+include/postgresql/server/optimizer/geqo_selection.h
+include/postgresql/server/optimizer/joininfo.h
+include/postgresql/server/optimizer/pathnode.h
+include/postgresql/server/optimizer/paths.h
+include/postgresql/server/optimizer/plancat.h
+include/postgresql/server/optimizer/planmain.h
+include/postgresql/server/optimizer/planner.h
+include/postgresql/server/optimizer/prep.h
+include/postgresql/server/optimizer/restrictinfo.h
+include/postgresql/server/optimizer/subselect.h
+include/postgresql/server/optimizer/tlist.h
+include/postgresql/server/optimizer/var.h
+include/postgresql/server/parser/analyze.h
+include/postgresql/server/parser/gramparse.h
+include/postgresql/server/parser/keywords.h
+include/postgresql/server/parser/parse.h
+include/postgresql/server/parser/parse_agg.h
+include/postgresql/server/parser/parse_clause.h
+include/postgresql/server/parser/parse_coerce.h
+include/postgresql/server/parser/parse_expr.h
+include/postgresql/server/parser/parse_func.h
+include/postgresql/server/parser/parse_node.h
+include/postgresql/server/parser/parse_oper.h
+include/postgresql/server/parser/parse_relation.h
+include/postgresql/server/parser/parse_target.h
+include/postgresql/server/parser/parse_type.h
+include/postgresql/server/parser/parser.h
+include/postgresql/server/parser/parsetree.h
+include/postgresql/server/parser/scansup.h
+include/postgresql/server/port/aix.h
+include/postgresql/server/port/beos.h
+include/postgresql/server/port/bsdi.h
+include/postgresql/server/port/cygwin.h
+include/postgresql/server/port/darwin.h
+include/postgresql/server/port/dgux.h
+include/postgresql/server/port/freebsd.h
+include/postgresql/server/port/hpux.h
+include/postgresql/server/port/irix5.h
+include/postgresql/server/port/linux.h
+include/postgresql/server/port/netbsd.h
+include/postgresql/server/port/nextstep.h
+include/postgresql/server/port/openbsd.h
+include/postgresql/server/port/osf.h
+include/postgresql/server/port/qnx4.h
+include/postgresql/server/port/sco.h
+include/postgresql/server/port/solaris.h
+include/postgresql/server/port/sunos4.h
+include/postgresql/server/port/svr4.h
+include/postgresql/server/port/ultrix4.h
+include/postgresql/server/port/univel.h
+include/postgresql/server/port/unixware.h
+include/postgresql/server/port/win32.h
+include/postgresql/server/regex/regcustom.h
+include/postgresql/server/regex/regerrs.h
+include/postgresql/server/regex/regex.h
+include/postgresql/server/regex/regguts.h
+include/postgresql/server/rewrite/prs2lock.h
+include/postgresql/server/rewrite/rewriteDefine.h
+include/postgresql/server/rewrite/rewriteHandler.h
+include/postgresql/server/rewrite/rewriteManip.h
+include/postgresql/server/rewrite/rewriteRemove.h
+include/postgresql/server/rewrite/rewriteSupport.h
+include/postgresql/server/storage/backendid.h
+include/postgresql/server/storage/block.h
+include/postgresql/server/storage/buf.h
+include/postgresql/server/storage/buf_internals.h
+include/postgresql/server/storage/buffile.h
+include/postgresql/server/storage/bufmgr.h
+include/postgresql/server/storage/bufpage.h
+include/postgresql/server/storage/fd.h
+include/postgresql/server/storage/freespace.h
+include/postgresql/server/storage/ipc.h
+include/postgresql/server/storage/item.h
+include/postgresql/server/storage/itemid.h
+include/postgresql/server/storage/itempos.h
+include/postgresql/server/storage/itemptr.h
+include/postgresql/server/storage/large_object.h
+include/postgresql/server/storage/lmgr.h
+include/postgresql/server/storage/lock.h
+include/postgresql/server/storage/lwlock.h
+include/postgresql/server/storage/off.h
+include/postgresql/server/storage/pg_sema.h
+include/postgresql/server/storage/pg_shmem.h
+include/postgresql/server/storage/pmsignal.h
+include/postgresql/server/storage/pos.h
+include/postgresql/server/storage/proc.h
+include/postgresql/server/storage/relfilenode.h
+include/postgresql/server/storage/s_lock.h
+include/postgresql/server/storage/shmem.h
+include/postgresql/server/storage/sinval.h
+include/postgresql/server/storage/sinvaladt.h
+include/postgresql/server/storage/smgr.h
+include/postgresql/server/storage/spin.h
+include/postgresql/server/tcop/dest.h
+include/postgresql/server/tcop/fastpath.h
+include/postgresql/server/tcop/pquery.h
+include/postgresql/server/tcop/tcopdebug.h
+include/postgresql/server/tcop/tcopprot.h
+include/postgresql/server/tcop/utility.h
+include/postgresql/server/utils/acl.h
+include/postgresql/server/utils/array.h
+include/postgresql/server/utils/ascii.h
+include/postgresql/server/utils/builtins.h
+include/postgresql/server/utils/cash.h
+include/postgresql/server/utils/catcache.h
+include/postgresql/server/utils/date.h
+include/postgresql/server/utils/datetime.h
+include/postgresql/server/utils/datum.h
+include/postgresql/server/utils/dynahash.h
+include/postgresql/server/utils/dynamic_loader.h
+include/postgresql/server/utils/elog.h
+include/postgresql/server/utils/errcodes.h
+include/postgresql/server/utils/fmgroids.h
+include/postgresql/server/utils/fmgrtab.h
+include/postgresql/server/utils/formatting.h
+include/postgresql/server/utils/geo_decls.h
+include/postgresql/server/utils/guc.h
+include/postgresql/server/utils/guc_tables.h
+include/postgresql/server/utils/hsearch.h
+include/postgresql/server/utils/help_config.h
+include/postgresql/server/utils/inet.h
+include/postgresql/server/utils/int8.h
+include/postgresql/server/utils/inval.h
+include/postgresql/server/utils/logtape.h
+include/postgresql/server/utils/lsyscache.h
+include/postgresql/server/utils/memutils.h
+include/postgresql/server/utils/nabstime.h
+include/postgresql/server/utils/numeric.h
+include/postgresql/server/utils/palloc.h
+include/postgresql/server/utils/pg_crc.h
+include/postgresql/server/utils/pg_locale.h
+include/postgresql/server/utils/pg_lzcompress.h
+include/postgresql/server/utils/portal.h
+include/postgresql/server/utils/ps_status.h
+include/postgresql/server/utils/rel.h
+include/postgresql/server/utils/relcache.h
+include/postgresql/server/utils/selfuncs.h
+include/postgresql/server/utils/sets.h
+include/postgresql/server/utils/syscache.h
+include/postgresql/server/utils/timestamp.h
+include/postgresql/server/utils/tqual.h
+include/postgresql/server/utils/tuplesort.h
+include/postgresql/server/utils/tuplestore.h
+include/postgresql/server/utils/typcache.h
+include/postgresql/server/utils/varbit.h
+include/postgresql/server/c.h
+include/postgresql/server/dynloader.h
+include/postgresql/server/fmgr.h
+include/postgresql/server/funcapi.h
+include/postgresql/server/getaddrinfo.h
+include/postgresql/server/getopt_long.h
+include/postgresql/server/miscadmin.h
+include/postgresql/server/pg_config.h
+include/postgresql/server/pg_config_manual.h
+include/postgresql/server/pg_config_os.h
+include/postgresql/server/pgstat.h
+include/postgresql/server/port.h
+include/postgresql/server/postgres.h
+include/postgresql/server/postgres_ext.h
+include/postgresql/server/postgres_fe.h
+include/postgresql/server/rusagestub.h
+include/postgresql/server/strdup.h
+@dirrm include/postgresql/server/access
+@dirrm include/postgresql/server/bootstrap
+@dirrm include/postgresql/server/catalog
+@dirrm include/postgresql/server/commands
+@dirrm include/postgresql/server/executor
+@dirrm include/postgresql/server/lib
+@dirrm include/postgresql/server/libpq
+@dirrm include/postgresql/server/mb
+@dirrm include/postgresql/server/nodes
+@dirrm include/postgresql/server/optimizer
+@dirrm include/postgresql/server/parser
+@dirrm include/postgresql/server/port
+@dirrm include/postgresql/server/regex
+@dirrm include/postgresql/server/rewrite
+@dirrm include/postgresql/server/storage
+@dirrm include/postgresql/server/tcop
+@dirrm include/postgresql/server/utils
+@dirrm include/postgresql/server
diff --git a/databases/postgresql83-server/pkg-plist-tcltk b/databases/postgresql83-server/pkg-plist-tcltk
new file mode 100644
index 000000000000..7138da9d91dd
--- /dev/null
+++ b/databases/postgresql83-server/pkg-plist-tcltk
@@ -0,0 +1,11 @@
+bin/pgtclsh
+include/libpgtcl.h
+lib/tcl%%TCLVERSION%%/Pgtcl1.3/pkgIndex.tcl
+@dirrm lib/tcl%%TCLVERSION%%/Pgtcl1.3
+@unexec rmdir %D/lib/tcl%%TCLVERSION%% 2>/dev/null || true
+lib/libpgtcl.a
+lib/libpgtcl.so
+lib/libpgtcl.so.2
+%%TK%%bin/pgtksh
+share/postgresql/README-tcltk
+@unexec rmdir %D/share/postgresql 2>/dev/null || true